#*  **************************************************************************
#*
#*  CDTK, Chemical Dynamics Toolkit
#*  A modular system for chemical dynamics applications and more
#*
#*  Copyright (C) 2011, 2012, 2013, 2014, 2015, 2016
#*  Oriol Vendrell, DESY, <oriol.vendrell@desy.de>
#*
#*  Copyright (C) 2017, 2018, 2019
#*  Ralph Welsch, DESY, <ralph.welsch@desy.de>
#*
#*  Copyright (C) 2020, 2021, 2022, 2023
#*  Ludger Inhester, DESY, ludger.inhester@cfel.de
#*
#*  This file is part of CDTK.
#*
#*  CDTK is free software: you can redistribute it and/or modify
#*  it under the terms of the GNU General Public License as published by
#*  the Free Software Foundation, either version 3 of the License, or
#*  (at your option) any later version.
#*
#*  This program is distributed in the hope that it will be useful,
#*  but WITHOUT ANY WARRANTY; without even the implied warranty of
#*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#*  GNU General Public License for more details.
#*
#*  You should have received a copy of the GNU General Public License
#*  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#*
#*  **************************************************************************
#! /usr/bin/env python

import os
import unittest
import numpy as np
import random
import sys
import math
import CDTK.an_runall as runall

class runallTestCase(unittest.TestCase):
    def setUp(self):
        pass

    def test_start(self):
        """ 
        Testing.
        """

        os.system('mkdir -p runall_testfolder')
        os.chdir('runall_testfolder')
        os.system('mkdir -p trj_0000000 trj_0000001 trj_0000002 trj_0000003 trj_0000004 trj_0000005')

        sys.argv = ['dummy', '-c', 'touch blah']

        os.system('pwd')
        runall.start()

        os.chdir('trj_0000000')
        os.path.isfile('blah') 
        os.chdir('..')

        os.chdir('trj_0000001')
        self.assertTrue(os.path.isfile('blah'))
        os.chdir('..')

        os.chdir('trj_0000002')
        os.path.isfile('blah') 
        os.chdir('..')

        os.chdir('trj_0000003')
        os.path.isfile('blah') 
        os.chdir('..')

        os.chdir('trj_0000004')
        os.path.isfile('blah') 
        os.chdir('..')

        os.chdir('trj_0000005')
        os.path.isfile('blah') 
        os.chdir('..')

        os.chdir('..')
        os.system('rm -rf runall_testfolder')

        return

def getSuite():
    suite = unittest.TestSuite()

    suite.addTest(runallTestCase('test_start'))

    return suite

if __name__ == "__main__":
    unittest.main()

