set term postscript eps enhanced color font ",24" 

#cobalt = [.3 .6 1];
#rdorng = [255 128 0]/255;
#purple = [128 0 128]/255;
#neongrn= [0 196 0]/255;

## Green #00C400
## Blue #4D99FF
## Orange #FF8000

# solid lines
set style line 1 lt 1 dt 1 lc rgb 'black' lw 2
set style line 2 lt 1 dt 1 lc rgb '#00C400' lw 2
set style line 3 lt 1 dt 1 lc rgb '#4D99FF' lw 2
set style line 4 lt 1 dt 1 lc rgb '#FF8000' lw 2

# long broken: (10,5,10,5) -> bad
# short broken: (5,10,5,10) -> ok 
# dots: (2,10,2,10) -> ok
# dash dot: (5,10,2,10) -> bad
# dash dot dot: (5,10,2,10,2,10) -> bad

# short broken
set style line 11 pt 2 lt 1 dt (5,10,5,10) lc rgb 'black' lw 3
set style line 12 pt 2 lt 1 dt (5,10,5,10) lc rgb '#00C400' lw 3
set style line 13 pt 2 lt 1 dt (5,10,5,10) lc rgb '#4D99FF' lw 3
set style line 14 pt 2 lt 1 dt (5,10,5,10) lc rgb '#FF8000' lw 3

# dots
set style line 21 pt 3 lt 1 dt (2,10,2,10) lc rgb 'black' lw 3
set style line 22 pt 3 lt 1 dt (2,10,2,10) lc rgb '#00C400' lw 3
set style line 23 pt 3 lt 1 dt (2,10,2,10) lc rgb '#4D99FF' lw 3
set style line 24 pt 3 lt 1 dt (2,10,2,10) lc rgb '#FF8000' lw 3

# long broken
set style line 31 pt 4 lt 1 dt (10,5,10,5) lc rgb 'black' lw 3
set style line 32 pt 4 lt 1 dt (10,5,10,5) lc rgb '#00C400' lw 3
set style line 33 pt 4 lt 1 dt (10,5,10,5) lc rgb '#4D99FF' lw 3
set style line 34 pt 4 lt 1 dt (10,5,10,5) lc rgb '#FF8000' lw 3

# dash dot
set style line 41 pt 5 lt 1 dt (5,10,2,10) lc rgb 'black' lw 3
set style line 42 pt 5 lt 1 dt (5,10,2,10) lc rgb '#00C400' lw 3
set style line 43 pt 5 lt 1 dt (5,10,2,10) lc rgb '#4D99FF' lw 3
set style line 44 pt 5 lt 1 dt (5,10,2,10) lc rgb '#FF8000' lw 3

# dash dot dot
set style line 51 lt 1 dt (5,10,2,10,2,10) lc rgb 'black' lw 3
set style line 52 lt 1 dt (5,10,2,10,2,10) lc rgb '#00C400' lw 3
set style line 53 lt 1 dt (5,10,2,10,2,10) lc rgb '#4D99FF' lw 3
set style line 54 lt 1 dt (5,10,2,10,2,10) lc rgb '#FF8000' lw 3

set key right top Left width -6 samplen 6
set key font ",14"

set xrange [0:35]
set xlabel "k (a.u.)" 
set yrange [-0.2:1.2]
set ylabel "probability" 

set output "Fig4a.eps"
plot 'comparison/Fig4a.dat'  u 1:2 w p ls 1 title "Tully", 'comparison/outA_500' u 1:3 w p ls 12 title "500 trajectories", 'comparison/outA_2000' u 1:3 w p ls 23 title "2000 trajectories"

set output "Fig4b.eps"
plot 'comparison/Fig4b.dat'  u 1:2 w p ls 1 title "Tully", 'comparison/outA_500' u 1:2 w p ls 12 title "500 trajectories", 'comparison/outA_2000' u 1:2 w p ls 23 title "2000 trajectories"

set output "Fig4c.eps"
plot 'comparison/Fig4c.dat'  u 1:2 w p ls 1 title "Tully", 'comparison/outA_500' u 1:5 w p ls 12 title "500 trajectories", 'comparison/outA_2000' u 1:5 w p ls 23 title "2000 trajectories"


set xrange [-4:1]
set xlabel "log_e (E) (a.u.)" 
set yrange [-0.2:1.2]
set ylabel "probability" 

set output "Fig5a.eps"
plot 'comparison/Fig5a.dat'  u 1:2 w p ls 1 title "Tully", 'comparison/outB_500' u 1:4 w p ls 12 title "500 trajectories", 'comparison/outB_2000' u 1:4 w p ls 23 title "2000 trajectories"

set output "Fig5b.eps"
plot 'comparison/Fig5b.dat'  u 1:2 w p ls 1 title "Tully", 'comparison/outB_500' u 1:3 w p ls 12 title "500 trajectories", 'comparison/outB_2000' u 1:3 w p ls 23 title "2000 trajectories"

set output "Fig5c.eps"
plot 'comparison/Fig5c.dat'  u 1:2 w p ls 1 title "Tully", 'comparison/outB_500' u 1:6 w p ls 12 title "500 trajectories", 'comparison/outB_2000' u 1:6 w p ls 23 title "2000 trajectories"