#!/bin/bash

### 2 KEV
# Generate N samples 
xsample -i sample_NE -d NE2kev

# Propagate each sample
cd ensmbl_NE2kev

for i in trj_*; do
    if [[ -d $i ]]; then
        cd $i
        cp ../../input_2keV_NE .
        xpyder -i input_2keV_NE -l &> run.out 
        cd ..
    fi
done

cd ..

# analyse charge distribution
an_correl -c charge -n 11 -d ensmbl_NE2kev

### 12 kev
# Generate N samples 
xsample -i sample_NE -d NE12kev

# Propagate each sample
cd ensmbl_NE12kev

for i in trj_*; do
    if [[ -d $i ]]; then
        cd $i
        cp ../../input_12keV_NE .
        xpyder -i input_12keV_NE -l &> run.out 
        cd ..
    fi
done

cd ..

# analyse charge distribution
an_correl -c charge -n 11 -d ensmbl_NE12kev

