set terminal postscript enhanced color

set output "plot_bo_es.ps"

E0=-75.542006
au2fs=1/41.341
set xlabel 'time (fs)'
set ylabel 'energy (a.u.)'
set ytics nomirror
set y2tics auto
set y2range [-0.12:0.12]
set yrange [-0.1:0.1]
set y2label 'field (a.u.)'
plot \
     "bo_es/field.log" u ($1*au2fs):($2) axis x1y2 w l lc 1 lw 2 t 'electric field',\
     "bo_es/field.log" u ($1*au2fs):($3) axis x1y2 w l lc 1 lw 2  dt '..' t 'electric field envelope',\
     "bo_es/E.log" u ($1*au2fs):($2) axis x1y1 w l lc 2 lw 2  t 'kinetic Energy',\
     "bo_es/E.log" u ($1*au2fs):($3-E0) axis x1y1 w l lc 3 lw 2  t 'potential Energy',\
     "bo_es/E.log" u ($1*au2fs):($4-E0) axis x1y1 w l lc 4 lw 2 t 'total molecular Energy'


