set terminal postscript enhanced color

set output "plot_fssh.ps"

E0=-75.538529
au2fs=1/41.341
set xlabel 'time (fs)'
set ylabel 'energy (a.u.)'
set ytics nomirror
set y2tics auto
set y2range [-0.12:0.12]
set yrange [-0.1:0.5]
set y2label 'field (a.u.)'
plot \
     "fssh/field.log" u ($1*au2fs):($2) axis x1y2 w l lc 1 lw 2 t 'electric field',\
     "fssh/field.log" u ($1*au2fs):($3) axis x1y2 w l lc 1 lw 2  dt '..' t 'electric field envelope',\
     "fssh/E.log" u ($1*au2fs):($3-E0) axis x1y1 w p pt 7 lc -1 lw 1 t 'potential energy of active state',\
     "fssh/V_ad.log" u ($1*au2fs):($2-E0) axis x1y1 w l lc 2 lw 2  t 'ad. potenital energy 0',\
     "fssh/V_ad.log" u ($1*au2fs):($3-E0) axis x1y1 w l lc 3 lw 2  t 'ad. potential energy 1',\
     "fssh/V_ad.log" u ($1*au2fs):($4-E0) axis x1y1 w l lc 4 lw 2 t 'ad. potential energy 2'




set output "plot_fssh_nofield.ps"

E0=-75.538529
au2fs=1/41.341
set xlabel 'time (fs)'
set ylabel 'energy (a.u.)'
set ytics nomirror
set y2tics auto
set y2range [-0.12:0.12]
set yrange [-0.1:0.5]
set y2label 'field (a.u.)'
plot \
     "fssh_nofield/field.log" u ($1*au2fs):($2) axis x1y2 w l lc 1 lw 2 t 'electric field',\
     "fssh_nofield/field.log" u ($1*au2fs):($3) axis x1y2 w l lc 1 lw 2  dt '..' t 'electric field envelope',\
     "fssh_nofield/E.log" u ($1*au2fs):($3-E0) axis x1y1 w p pt 7 lc -1 lw 1 t 'potential energy of active state',\
     "fssh_nofield/V_ad.log" u ($1*au2fs):($2-E0) axis x1y1 w l lc 2 lw 2  t 'ad. potenital energy 0',\
     "fssh_nofield/V_ad.log" u ($1*au2fs):($3-E0) axis x1y1 w l lc 3 lw 2  t 'ad. potential energy 1',\
     "fssh_nofield/V_ad.log" u ($1*au2fs):($4-E0) axis x1y1 w l lc 4 lw 2 t 'ad. potential energy 2'




