# Chemical Dynamics Toolkit - CDTK

CDTK is a mixed quantum-classical dynamics code implementing different methodologies to investigate chemical processes. Currently available is an implementation of Tully's Fewest Switches Surface Hopping.

CDTK can be interfaced with different electronic structure programs to obtain gradients, etc. Currently available is an interface to XMOLECULE and GamessUS.

CDTK has been mainly developed by Oriol Vendrell, Ralph Welsch, and Ludger Inhester with contributions from different members of the CFEL-DESY Theory division.

## Installation

You need the following programs installed before you can procceed

1. XMOLECULE (which requires XATOM). Both are inclued in [XRAYPAC](https://www.desy.de/~xraypac/).

2. if you like to interface with GAMESSUS, you need [GAMESSUS](https://www.msg.chem.iastate.edu/gamess/).

3. you need python version > 3

In the CDTK base directory call::
```
pip install .
```
to install CDTK in your local python environment.
