XATOM
=====

<img src="xatom.png" align=right>
XATOM is an integrated toolkit for x-ray atomic physics. It provides a theoretical description of fundamental x-ray-atom interaction. In particular, XATOM is designed for describing complex interaction between atoms and intense XFEL pulses. XATOM calculates atomic data for all individual electronic configurations, including multiple-hole states, of arbitrary atomic species. These atomic data are used not only for simulating ionization dynamics of atoms within XATOM, but also as input for XMDYN and XMOLECULE simulations. XATOM can calculate cross sections and rates of x-ray-induced atomic processes, based on nonrelativistic quantum electrodynamics and perturbation theory within the Hartree-Fock-Slater model. The released version of XATOM can treat the following physical processes.


- photoionization cross section
- resonant photoexcitation cross section
- X-ray fluorescence rate
- Auger-Meitner (Coster-Kronig) decay rate
- shake-off branching ratio
- elastic x-ray scattering form factor and its dispersion correction
- Compton scattering cross section
- impact ionization cross section
- relativistic correction on cross sections and rates

**Official page:** <https://www.desy.de/~xraypac/xatom.html>

**Short manual:** <https://www.desy.de/~xraypac/nut_xatom.html>

**Installation:** `FC=ifort cmake . ; make` in the main directory. Don't miss the period after cmake.
It has been tested with the old Intel Fortran compiler (ifort), but not with the new one (ifx).

**License:** XATOM is free and open-source software under [[GPLv3](https://www.gnu.org/licenses/)]. See individual source files for further license statements.
