#/bin/sh

EXE=../../src/xatom
SYSTEM="Ne";  Z=10     # Neon
OPTION="-Z $Z -decay -scattering -pcs -PE 2000"
FILE_DAT="Ne_process_2keV.dat"
rm -f $FILE_DAT         # initialize

max_2p=$(( $Z - 2 - 2 ))

for (( n_1s = 2; n_1s >= 0; n_1s-- )); do
  for (( n_2s = 2; n_2s >= 0; n_2s-- )); do
    for (( n_2p = $max_2p; n_2p >= 0; n_2p-- )); do
      n_elec=$(( $n_1s + $n_2s + $n_2p ))
      [ $n_elec == 0 ] && continue
      charge=$(( $Z - $n_elec ))
      config="1s${n_1s}_2s${n_2s}_2p${n_2p}"
      FILE="${SYSTEM}_${charge}+_${config}.out"
      $EXE $OPTION -config $config -o $FILE
      #cat ${FILE%.out}.dat >> $FILE_DAT
      #rm -f ${FILE%.out}.dat ${FILE%.out}.scd
    done
  done
done

# collect atomic data and remove individual files
cat ${SYSTEM}_??_1s?_2s?_2p?.dat > $FILE_DAT
rm -f ${SYSTEM}_??_1s?_2s?_2p?.dat

# remove individual scattering data files
rm -f ${SYSTEM}_??_1s?_2s?_2p?.scd
