!----------------------------------------------------------------------------
! find_config.f90
!----------------------------------------------------------------------------
! Copyright (C) 2011 Deutsches Elektronen-Synchrotron DESY,
!                    a research centre of the Helmholtz Association.
! Authors: 2011 Sang-Kil Son <sangkil.son@cfel.de>
! License: GPL-3.0-or-later
!
! This file is part of XATOM.
!
! XATOM is free software: you can redistribute it and/or modify it under the
! terms of the GNU General Public License as published by the Free Software
! Foundation, either version 3 of the License, or (at your option) any later
! version.
!
! XATOM is distributed in the hope that it will be useful, but WITHOUT ANY
! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
! A PARTICULAR PURPOSE. See the GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License along with
! XATOM. If not, see <https://www.gnu.org/licenses/>.
!----------------------------------------------------------------------------
! Utility to find the index from the configuration, and vice versa
!   written by Son, Sang-Kil in Jan. 2011 at DESY
!----------------------------------------------------------------------------
program find_config
  use constants
  use stdio
  use read_param
  use process
  use elec_config
  implicit none
  type(Param) :: P
  type(Config_tree) :: C
  call read_parameters( P, "HFS" )
  write(P%OUTPUT, "('system = ',a)") trim(P%system)
  if ( P%i0 > 0 ) then          ! the index is specified in the input
    call index_to_config( P%i0, P%init_config )
    write(P%OUTPUT, "('index  = ',i12)") P%i0
    write(P%OUTPUT, "('config = ',a,' (',sp,i3,')')") &
      trim( config_to_string(P%init_config) ), P%Z - sum( P%init_config(:,3) )
  else
    call config_to_index( P%init_config, P%i0 )
    write(P%OUTPUT, "('config = ',a,' (',sp,i3,')')") &
      trim( config_to_string(P%init_config) ), P%Z - sum( P%init_config(:,3) )
    write(P%OUTPUT, "('index  = ',i12)") P%i0
  end if
end program find_config
