# XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter

XMDYN is a tool for simulating the x-ray induced dynamics of matter. Within this hybrid modeling framework, the ionization dynamics is followed using a Monte Carlo algorithm, while the real space dynamics of atoms, ions and ionized electrons are tracked with the Molecular Dynamics technique. XMDYN uses electronic structure data calculated by the ab initio tool XATOM.

## Installation

### Requirements

**Mandatory:**

  -  gsl, gslcblas     (libraries and development files)
  -  gcc
  -  make
  -  linux core utils  (cp, mv, ...)
  -  xatom             (for running a simulation)

**Remarks:**

  - Compilation has been tested on Linux, however, it may be possible on other operating systems, too.

### Download

The XMDYN code is located in the XRAYPAC repository [https://gitlab.desy.de/CDT/xraypac](https://gitlab.desy.de/CDT/xraypac).

The repository may be cloned using the command
```
git clone https://gitlab.desy.de/CDT/xraypac
```

### Compilation

Using a command line terminal, run the following command in the source folder 'src':
```sh
make
```

The newly created executable is ../build/xmdyn.x .

### Installation

The executable xmdyn.x can be moved to any folder.

### Environment

To run an xmdyn simulation successfully, the xatom executable must be available. This can be achieved by adding the folder where xatom is located to the PATH variable. E.g., assuming that xatom is in $HOME/bin/, execute (once in a terminal session) the command
```sh
export PATH=$HOME/bin:$PATH
```

