///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///



extern int get_xatom_conf_str( int a_max_occ_shell , int *a_config , char *a_str, char type ) ;

extern int cp_xatom_data( struct g_struct_xatom_data *a_dest , struct g_struct_xatom_data *a_source ) ;
extern int print_econfig( int *a_config , int a_max_orbit ) ;
extern int get_highest_occupied_orbital( int *a_config , int a_max_orbit ) ;
extern int get_orbit_max_occupancy( int a_orbit ) ;

extern int xatom_tree_add( int a_Z , int a_num_orbit , int *a_config , struct g_struct_xatom_data **a_data_out ) ;

extern int xatom_call_on_the_fly( int a_Z , int a_max_occ_shell , int *a_config , double a_Eph ,
                           struct g_struct_xatom_data *x_data ) ;

extern int xmdyn_get_atom_types( int *num_T , int **T , struct g_struct_xatom_data ***x_data ) ;

extern int xatom_tree_print_whole( void ) ;

extern int xmdyn_get_econfig_properties( char *a_comm, int a_x , int a_nargs , ... ) ;
extern int init_Xatom( char *dir1 , char *dir2 , char *xatom_opts ) ;
extern int xmdyn_load_grstate_neutral_econfigs( int a_N , int *a_allZ ) ;

extern int module_main_Xatom( void ) ;

