///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///


extern int is_class_part(int part);

extern int calc_class_parts_dim(void);
extern void set_class_parts(int *class_parts,int class_parts_dim);
extern void classicaltimestep(int step);

extern int md_integrator_verlet( double tnow , double DT , int *class_parts , int class_parts_dim ) ;
extern int md_integrator_plain_verlet( double DT , int *class_parts , int class_parts_dim ) ;

extern double enerreg(double dist, int q1, int q2);
extern double enerregcut(double dist, int q1, int q2,int actatom);
extern double potenerreal(double dist, int q1, int q2);
extern double totalpotenergy(int comm);
extern double potEactual(int atom,int el1,int el2 , int n_atoms_affected , int *atoms_affected );
extern double xmdyn_md_energy(char *a_comm , char *a_option ) ;

extern int classdintableinitialisations(char command);
extern int potcutmanage(char command);

extern double get_part_part_distance( double *a_dr , double *r1 , double *r2 ) ;
extern double xmdyn_system_get_particle_distance( int part1 , int part2 , char sel ) ;
extern int nearestatom2electron( int electron, double **r_at , double *value , char type) ;

extern double nnbor_condition(int el,int at,char comm);
extern int* get_nnbors(int el,int numnbors,char comm,int init);
extern int e_deloc_pair(int el,int at1,int at2,int id,int numnbors,
                        double pot0,double T,int init);
extern int e_deloc_nbors(int el,int numnbors,int *nbors_list,char comm,double T,int init);
extern int e_deloc_test(int el,double T,int init);

extern int testsuite_classdyn( char *comm ) ;

