///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///


extern int getallatomicdata(int *Z);

extern int subshell_maxenum(int shell);
extern int shellholes(int NE,int shell);
extern int cumsums_shell_states(int Z);
extern int get_equviv_shell(int shell1);
extern char subshellint2char(int subshell);
extern int n_quantum_number(int subshell);
extern double subshell2qnum(int shell,int qnum);
extern int highest_unoccupied_shell(int at) ;
extern int setsubshellNE(int Z,int subshell);

extern int getrand_shell_el(int actatom,int actshell);
extern int getrand_shell_hole(int actatom,int actshell);
extern int get_hole_on_shell(int actatom,int actshell) ;

extern int isitfreeelectron(int acte);
extern int isitshellelectron(int acte);
extern int is_real_subshell(int shell);
extern int particle_params_swap(int p1,int p2);
extern int particle_rvq_zero(int p);
extern double realrb(int actatom,int actshell);
extern double initvreal(int actatom,int actshell);

extern int xmdyn_update_atoms(char **a_logstr, char *a_option, ...) ;

extern double actualrb(int aktatom,int actshell);

extern double beam_photon_num(double t,double DT);
extern int beamparams(int step,double *nph);

extern int insidecluster(int part,double dist);

extern int self_consistency_check(int step,char *comm);

extern int xatom_tab_update_atoms( int a_id ) ;
extern int xatom_onthefly_update_atoms( int a_id ) ;

extern double cd_time_now(void) ;


extern int xmdyn_store_restore_subsystem( char *a_comm , char *a_options , int a_num_sel_parts , ... ) ;

