///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///



#define EoL '\n'
#define EoS '\0'

#define clearstr(str) strcpy((str),"")

#define SWAP_VAR(a,b,t) {t c; c=a,a=b,b=c;}
#define swap_int(a,b) {int c; c=a,a=b,b=c;}
#define swap_double(a,b) {double c; c=a,a=b,b=c;}
#define swap_char(a,b) {char c; c=a,a=b,b=c;}


struct g_struct_track_dbase
{
    char **str ; 
    int dim ;
} ;


//#ifndef basename
extern char* my_basename (char *name) ;
//#endif

extern void dirstrendcorrector(char *dir);
extern int iswhitespace(char c);


extern int char_replace(char *s,char c,char rep);
extern double* load_input_pars(char *s,int d);
extern double* load_input_pars_ddot(char *s,int d);
extern int  param_string_get_value( char *a_str , char a_delim , int a_num , char a_type , void *a_out ) ;
extern int dim_input_pars(char *s);

extern char* str_remove_comment(char *str, ... ) ;
extern int is_str_all_alpha( char *s ) ; 

extern char* str_concat_realloc( char *a_dest , char *a_src ) ;
extern int get_opt( char *a_optstr , char *a_field , char *a_type , void *o_value ) ;


extern int convert_strlist2intarray( char *a_strlist , int **a_array , int *a_dim ) ;

extern int manip_track_dbase( char *a_todo , struct g_struct_track_dbase *a_dbase , ... ) ;

