///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///



#define DUMP_TIMES_START(ID) { \
  cd_tictoc(0,#ID,My_Rank,Num_Rank); \
}
#define DUMP_TIMES(ID,NUM) { \
  cd_tictoc(1,#ID,My_Rank,Num_Rank); \
  cd_tictoc(0,#ID,My_Rank,Num_Rank); \
}
#define DUMP_TIMES_END(ID) { \
  cd_tictoc(1,#ID,My_Rank,Num_Rank); \
}
#define DUMP_TIMES_START_CUM(ID) { \
  cd_tictoc(10,#ID,My_Rank,Num_Rank); \
}
#define DUMP_TIMES_TOC(ID) { \
  cd_tictoc(1,#ID,My_Rank,Num_Rank); \
}
#define DUMP_TIMES_END_CUM(ID) { \
  cd_tictoc(1,#ID,My_Rank,Num_Rank); \
}


#define printdatenow { time_t t; time(&t); printf("%s",asctime(localtime(&t))); }


extern char* cd_currdate(void);
extern double cd_tictoc(int tic,char *job,int thread,int maxthreads) ;
extern double myclock(double runtime);
extern int xmdyn_clock( const char *comm , ... )  ;


