///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///


struct g_struct_phys_math_const {

    double hbar ;
    double c;
    double e1;
    double e2; // = e1 * e1
    double me;
    double mp;
    double C_k; // Coulomb_k
    double eps0 ;
    double rb;
    double rb2; // = rb * rb
    double alpha;
    double N_A;
    double a_B; // Bohr radius
    double k_B;

    double Hartree ;

    double au_time ;

    double e1_C_k ;
    double e2_C_k ;

} ;

extern struct g_struct_phys_math_const   g_phys_math_const  ;

extern int init_phys_mat_const( void ) ;

extern double convert_phys_unit_scalar( char *a_command , double a_x ) ;

extern double convert_unit_au2m ( double a_x ) ;
extern double convert_unit_m2au ( double a_x ) ;

extern double convert_unit_au2invsec ( double a_x ) ;
extern double convert_unit_invsec2au ( double a_x ) ;

extern double convert_unit_J2eV ( double a_x ) ;
extern double convert_unit_eV2J ( double a_x ) ;

extern double convert_unit_au2J( double a_x ) ;
extern double convert_unit_J2au( double a_x ) ;

extern double convert_unit_au2eV( double a_x ) ;
extern double convert_unit_eV2au( double a_x ) ;

extern double convert_unit_au2m2( double a_x ) ;


