///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///


//#define XMDYN_XRAYPAC_MORELOG

#define LOG_SYSTEM 2

#define QUOTE(name) #name
#define MACRO_TO_STRING(macro) QUOTE(macro)

#define TYPECAST_F2I(x) ( (int) (x) )

// #############################################

#define MESSAGE_MAX_DIM 100
struct MESSAGES_STRUCT{
  double unit_l;
  double unit_t;
  double unit_E;
};
extern struct MESSAGES_STRUCT MESSAGES;

// #############################################

#define WARNING_WORKAROUND_TOBE_REMOVED(x) { \
    static int init = 1 ; \
    if ( init == 1 ) \
    { \
        printf( "%s: WORKAROUND! To be removed. (%s)\n\n" , __FUNCTION_NAME__ , x ) ; \
        init = 0 ; \
    } \
}

