///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///


extern int init_init_system( void ) ;
extern int init_module_all( void ) ;
extern int load_sample(int *stepstart) ;
extern enum g_option_string  detect_sample(void) ;

extern int set_default_init_values(char *comm);
extern void default_init_params(char command);
extern int el_config_subshell_init(int elstart,int maxenum,int NE,char typ);
extern int electronconfiginit(void);

extern int startingdataindex(void);
extern int startfromfiles_start_cont(int startind,int *stepstart);

extern void varibles(int stage);
extern void freememory(void);


