///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///



extern int input_defaults(void);
extern void comments(FILE **fpp);
extern int ifcomments(FILE **fpp);
extern int oldinputfilecompatible(char *str);
extern void readinstr(char *in, FILE **fpp);
extern void readinch(char *in, FILE **fpp);
extern void readinle(double *in, FILE **fpp);
extern void readind(int *in, FILE **fpp);


extern int input_postproc( void ) ;
extern int inputin(void);

extern int save_summaryfile(int step);


extern void helptext(char *svn_version , char *release_version , char *compile_command ) ;
extern int flags(int argc,char **argv,char *svn_version, char *version);

extern int xmdyn_check_opts_while_running( char *a_cmd , void *a_par1 ) ;


