///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///


extern int getaugerelectrons(int actatom,int event, int *i,int *j,int *k, int ishell , int jshell , int kshell );
extern int augeranizotropy(double *phi,double *sint, double *cost,
                           int actatom,int i,int j,int k);
extern int augerenergygain(int actatom,int i,int j,int k,int eventid, double *Egain, double Ediff);
extern int augermomentumgain(int actatom,int i ,int j,int k,double *pgain);
extern int do_augerrelax(int actatom,int event,int step,double T1);

extern int try_augerrelax(int actatom,double DT,int step, double *T,
                          int *event);

