///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///


extern double pot_of_2nd_nearest_ion( int el0 , int atom0 ) ;

extern int get_class_recomb_delta_charge( int atom ) ;
extern int recombiantion_follow_captured_electrons( void ) ;
extern int save_snp_recombination_log( FILE **fp ) ;
extern int xmdyn_store_restore_recombination( char *todo , int a_n , int *sel_par ) ;
extern int instant_recombination_swap( int at , int el ) ;
extern int instant_recombination(int step ); 
extern int instant_recombination_init( void ) ;
extern int instant_recombination_final( void ) ;

extern int module__recombination_loadsave( char *comm , FILE **fpp ) ;

extern double electronbackstepping(int actatom,int actelectron);

extern double thetascatt_old(void);
extern int elasticscattering(int actatom,int actelectron);
extern int criteriaforimpion(char *criteria,int actatom,
                             int actelectron, double (*r_pe)[3] , int secel, double (*r_se)[3] ,
                             double E0,double Tpri,double Tsec,int init) ;

extern double thetainel(double arg,double *params);
extern int setthetainelscatt(double *th1,double *th2,
                             double E0,double Epri,double Esec);

extern double dsigdW_inel_int(double w,double *params);
extern double dsigdW_inel_c60_01_int(double W,double *params);

extern void scatter(int actatom,int actelectron,int step, double *r1e , double *r2e , double *v1e , double *v2e );

extern double inelastsigma_YKKIM_PRA50(double T,double B,double U,
                                       int NE,double Q,double n); 

extern double inelastsigma_solid_fit_diamond(double T,double B,double U,
                                             int NE,double Q,double n) ;

extern double eimpion_sigma_orbit_as_KE(int actatom,int actshell,double T) ;
extern double eimpion_sigma_total_as_KE( int atomid , double a_E ) ;
extern double eimpion_effective_KE(int actatom, double *re , double *ve ) ;
extern double eimpion_sigma_total_in_system( int actatom , double *re , double *ve ) ;

extern double elastsigma(int actatom,double T);

extern int try_si_effect(int atom,double *re , double *ve,double totalb2,double dist2);

extern int* get_free_electrons(int *numel,double maxdist);
extern int get_secel_limits(int *from_atom,int *to_atom,int *from_el,int *to_el,
                      int numel);
extern int  electronscattering(int step ) ;
