///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///



struct allfilenamesstruct{
 	char datadir[MSTRLTH];
 	char fotodir[MSTRLTH];
 	char fotostartdir[MSTRLTH];
 	char archivedir[MSTRLTH];
 	char tempdir[MSTRLTH];
 	
 	char summaryfile[MSTRLTH];

	char data2diskindicator[MSTRLTH];
	char gopt[MSTRLTH];
	char snptimes[MSTRLTH];
	char r[MSTRLTH];
	char v[MSTRLTH];
	char v3[MSTRLTH];
	char q[MSTRLTH];
	char et[MSTRLTH];
	char m[MSTRLTH];
	char Eintotal[MSTRLTH];
	char infofile[MSTRLTH];
	char progress_file[MSTRLTH];
	char params[MSTRLTH];
	char beamfile[MSTRLTH];
	char recomb_snpfile[MSTRLTH];
	char uid[MSTRLTH];
	char dimer[MSTRLTH];
	
	char dbg1[MSTRLTH];

	char r1input[MSTRLTH];
	char v1input[MSTRLTH];
	char etypeinput[MSTRLTH];
	char qinput[MSTRLTH];
	char minput[MSTRLTH];
	

	char ireclog[MSTRLTH];

	char LenJondir[MSTRLTH];

	char uidfoto[MSTRLTH];
	char dimerfoto[MSTRLTH];
	char r1foto[MSTRLTH];
	char r2foto[MSTRLTH];
	char prev_r2foto[MSTRLTH];
	char v1foto[MSTRLTH];
	char v2foto[MSTRLTH];
	char massfoto[MSTRLTH];
	char etypefoto[MSTRLTH];
	char chargefoto[MSTRLTH];
	char stepfoto[MSTRLTH];
	char energyfoto[MSTRLTH];
	char farelfoto[MSTRLTH];
	char timefoto[MSTRLTH];
	char randcallsfoto[MSTRLTH];
	char el_configfoto[MSTRLTH];
	char Zallfoto[MSTRLTH];
	char motherionfoto[MSTRLTH];

	char r1fotob[MSTRLTH];
	char r2fotob[MSTRLTH];
	char prev_r2fotob[MSTRLTH];
	char v1fotob[MSTRLTH];
	char v2fotob[MSTRLTH];
	char massfotob[MSTRLTH];
	char energyfotob[MSTRLTH];
	
	char instrecfotob[MSTRLTH];
	char instrecfotol[MSTRLTH];

	char chargetransfer_b[MSTRLTH];

	char dbase_overwrite[MSTRLTH];

        char savestatus[LSTRLTH] ;
	
} ;



struct save_prec_struct {
  int E;
  int r;
  int foto_E;
  int foto_r;
} ;



extern int xmdyn_filenames_load( struct allfilenamesstruct **allfiles , struct save_prec_struct **save_prec )  ;

extern int cache_filenames(int s,int step);
extern void filenames(void);
extern void fotofilenames(int step);

