///
///  XMDYN - a computer simulation tool for modeling x-ray induced dynamics of matter
///
///  Copyright (C) 2012-2024 Deutsches Elektronen-Synchrotron DESY,
///                          a research centre of the Helmholtz Association.
///  Email: xraypac@mail.desy.de 
/// 
///  This file is part of XMDYN, which is distributed under the terms of the GNU General Public License version 3.
///  See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
///
///  Authors: Zoltan Jurek, Center for Free-Electron Laser Science, DESY
///


extern int is_snp_save_now( int a_step , char *todo ) ;
extern int print_log( char *a_str , void *a_data , char *a_type , char* a_flush ) ;
extern int print_log_full( char *a_str , void *a_data , char *a_type , char* a_flush ) ;

extern int init_xmdyn_loadsave( char **dir_dbase , char **dir_root )  ;

extern int dirhiercreate(void);
extern void paramsout(char *programname,char *versionnumber);

extern void data2disk(int step);
extern int foto2disk(int step,int indic);
extern int data_loadsave( char *a_todo , char *a_format , int a_step , enum g_option_string  a_status ) ;

extern int actsteptofile(int step , enum g_option_string status , char *timestr );
extern void check_if_continued(int step,int laststep);


extern int makingfotomoments(void);

extern void cp_source_input(char *commandline,char *programname,char *version);

extern int dbg_filedump(char *id,int subid,int dim1, int dim2, void* data,char *opt);

extern int print_extrainfo_out(char *programname,char *versionnumber,char startend,int *pid_numbers,char **hostnames) ;

extern int xmdyn_apply_shortcut( char *command ) ;

