title: Manual
author: Ludger Inhester
ordered_subpage: installation.md
ordered_subpage: usage.md
ordered_subpage: example.md
ordered_subpage: commands.md
ordered_subpage: fileformats.md

XMOLECULE is a tool for ab-initio molecular electronic structure calculation. It has the capabilities to describe molecular aspects of various x-ray related processes in an efficient way. Many aspects are strongly built upon atomic electronic structure calculations provided by XATOM.

XMOLECULE describes the electronic structure either based on numerical atomic orbitals (NAOs) or gaussian type orbitals (GTO).
NAOs are generated from XATOM, whereas GTO basis sets are provided through available basis set libraries. The employed electronic structure model is based on Hartree-Fock or Hartree-Fock-Slater.

Basic x-ray related transitions such as Auger-Meitner decay, photoabsorption, and x-ray fluorescence can be calculated. For a convenient incorporation of XMOLECULE into ab-initio molecular dynamics simulations, XMOLECULE provides a python interface that can easily be integrated into MD software. An example for such an intergration is provided through the chemical dynamics toolkit (CDTK) that is also shipped with XRAYPAC.

The spherical integration uses Lebedev-Laikov grids, which is based on a code by Dr. Dmitri N. Laikov distributed through CCL (http://www.ccl.net/).
````{verbatim}
This subroutine is part of a set of subroutines that generate
Lebedev grids [1-6] for integration on a sphere. The original
C-code [1] was kindly provided by Dr. Dmitri N. Laikov and
translated into fortran by Dr. Christoph van Wuellen.
This subroutine was translated using a C to fortran77 conversion
tool written by Dr. Christoph van Wuellen.

Users of this code are asked to include reference [1] in their
publications, and in the user- and programmers-manuals
describing their codes.

This code was distributed through CCL (http://www.ccl.net/).

[1] V.I. Lebedev, and D.N. Laikov
    "A quadrature formula for the sphere of the 131st
     algebraic order of accuracy"
    Doklady Mathematics, Vol. 59, No. 3, 1999, pp. 477-481.

[2] V.I. Lebedev
    "A quadrature formula for the sphere of 59th algebraic
     order of accuracy"
    Russian Acad. Sci. Dokl. Math., Vol. 50, 1995, pp. 283-286.

[3] V.I. Lebedev, and A.L. Skorokhodov
    "Quadrature formulas of orders 41, 47, and 53 for the sphere"
    Russian Acad. Sci. Dokl. Math., Vol. 45, 1992, pp. 587-592.

[4] V.I. Lebedev
    "Spherical quadrature formulas exact to orders 25-29"
    Siberian Mathematical Journal, Vol. 18, 1977, pp. 99-107.

[5] V.I. Lebedev
    "Quadratures on a sphere"
    Computational Mathematics and Mathematical Physics, Vol. 16,
    1976, pp. 10-24.

[6] V.I. Lebedev
    "Values of the nodes and weights of ninth to seventeenth
     order Gauss-Markov quadrature formulae invariant under the
     octahedron group with inversion"
    Computational Mathematics and Mathematical Physics, Vol. 15,
    1975, pp. 44-51.
````