#!/usr/bin/python 
import sys
from math import exp,sqrt,log,pi
from analyze import *
from numpy import percentile,mean,var

        

if __name__ == "__main__":
        if (len(sys.argv)<1):
                print "usage",sys.argv[0]," xFSSH outputfiles "
                print "or",sys.argv[0]," -f filter_file xFSSH outputfiles "
                exit(1)

        if(sys.argv[1]=="-f"):
                filterfile=sys.argv[2]
                trajfilter=read_filter(filterfile)                
                outputfiles=sys.argv[3:]
        else:
                outputfiles=sys.argv[1:]

        # Read in all trajectories and append them to traj_list
        traj_list=[]
        for outputfile in outputfiles:
                print "#Reading ",outputfile
                #fluence,FWHM=read_parameters(outputfile)        
                #print '#Fluence',fluence
                #print '#FWHM',FWHM

                if(sys.argv[1]=="-f"):
                        for tf in trajfilter:
                                if outputfile.rstrip('.gz').endswith(tf[0]):
                                        break
                        if not outputfile.rstrip('.gz').endswith(tf[0]):
                                print "Warning: filter for file",outputfile,"not found"
                                exit(-1)
                                tf=["?",[]]

                        traj_list_file=read_trajectories(outputfile,tf[1])
                else:
                        traj_list_file=read_trajectories(outputfile)

                print '# ntraj=',len(traj_list_file)

                                

                traj_list.extend(traj_list_file)


# Do some analysis:                
#        final_steps=[]

        dt=0.5
        tstart=-60
        tend=60
        Ntimesteps=int((tend-tstart)/dt)
        times=[i*dt+tstart for i in range(0,Ntimesteps)]

        q_list=[ [ [] for a in atoms]  for t in times] 
        q_avg=[ [0. for a in atoms]  for t in times] 
        q2_avg=[ [0. for a in atoms]  for t in times] 

        CId_list=[ [] for t in times] 
        CId_avg=[ 0.  for t in times] 
        CId2_avg=[ 0.  for t in times] 

        CHd_list=[ []  for t in times] 
        CHd_avg=[ 0.  for t in times] 
        CHd2_avg=[ 0.  for t in times] 


        for traj in traj_list:    

                for i in range(0,len(times)) :
                        t=times[i]
                        step=traj[0]
                        for s in traj:
                                if abs(t-s.time) < abs(t-step.time):
                                        step=s

                        for ai in range(0,len(atoms)):
                                q_list[i][ai].append(step.q[ai])
                                
#                        print t,step.time,step.q[0]
#                        if(t==0):
#                                print step
                        
                        q_avg[i]=[ q_avg[i][a] + step.q[a] for a in range(0,len(atoms))]
                        q2_avg[i]=[ q2_avg[i][a] + step.q[a]*step.q[a] for a in range(0,len(atoms))]

                        step=traj[0]
                        for s in traj :
                                if isinstance(s,Nstep):
                                        if abs(t-s.time) < abs(t-step.time):
                                                step=s

                        CId_list[i].append(step.atom_distance(0,1))
                        CId_avg[i]=CId_avg[i] + step.atom_distance(0,1)
                        CId2_avg[i]=CId2_avg[i] + step.atom_distance(0,1)*step.atom_distance(0,1)

                        CHd_list[i].append((step.atom_distance(1,2) + step.atom_distance(1,3) + step.atom_distance(1,4))/3.)
                        CHd_avg[i]=CHd_avg[i] + (step.atom_distance(1,2) + step.atom_distance(1,3) + step.atom_distance(1,4))/3.
                        CHd2_avg[i]=CHd2_avg[i] + ((step.atom_distance(1,2) + step.atom_distance(1,3) + step.atom_distance(1,4))/3.)**2

        print "# Time: Average Charges : Variance of Charges: Lower and Upper Quantile of Charges:"
        print " %6s " % ("Time  "),
        for a in atoms:
                print "%6s " % (a),
        for a in atoms:
                print "%6s " % (a),
                
        print " "

        for i in range(0,len(times)) :
                q_avg[i]=[q_avg[i][a]/len(traj_list) for a in range(0,len(atoms))]
                q2_avg[i]=[q2_avg[i][a]/len(traj_list) for a in range(0,len(atoms))]

                print " %6f " % (times[i]),
                for ai  in range(0,len(atoms)):
#                        print "%6f " % (q_avg[i][ai]),
                        print "%6f " % (mean(q_list[i][ai])),

                for ai  in range(0,len(atoms)):
#                        print "%6f " % (q2_avg[i][ai]-q_avg[i][ai]*q_avg[i][ai]),
                        print "%6f " % (var(q_list[i][ai])),

                for ai  in range(0,len(atoms)):
                        print "%6f %6f " % (percentile(q_list[i][ai],25.),percentile(q_list[i][ai],75.)),

                
                print " "
        


        print " "
        print " "


        print "# Time: Average CI distance Average CH distance Variance CI distance Variance CH distance Lower, Upper Quantile CI distance: Lower, Upper Quantile CH distance:"



        for i in range(0,len(times)) :
                CId_avg[i]=CId_avg[i]/len(traj_list) 
                CId2_avg[i]=CId2_avg[i]/len(traj_list) 
                CHd_avg[i]=CHd_avg[i]/len(traj_list) 
                CHd2_avg[i]=CHd2_avg[i]/len(traj_list) 

                print " %6f " % (times[i]),
#                print "%6f %6f" % (CId_avg[i],CHd_avg[i]),
                print "%6f %6f" % (mean(CId_list[i]),mean(CHd_list[i])),
#                print "%6f %6f" % (CId2_avg[i]-CId_avg[i]*CId_avg[i],CHd2_avg[i]-CHd_avg[i]*CHd_avg[i]),
                print "%6f %6f" % (var(CId_list[i]),var(CHd_list[i])),
                print "%6f %6f " % (percentile(CId_list[i],25.),percentile(CId_list[i],75.)),
                print "%6f %6f " % (percentile(CHd_list[i],25.),percentile(CHd_list[i],75.)),
                print " "




