#!/bin/sh

cat tree.out  | awk '
/Summary:/{ }
/Summary:/{
 isParent=1
 Nnodes++
}
/NO UNIQUE SOLUTION!/{NnotUnique++}
/SCF converged:/{
  o=$10; 
  occ=$12; 
  converged=1
  if(enterFallback==0 && isParent==0){
   targetocc=occ   
  }
  if(enterFallback==0 && isParent==1){
   parentocc=occ   
   isParent=0
  }

} 
/SCF NOT converged:/{
occ=$9; 
converged=0
if(enterFallback==0 && isParent==0){
 targetocc=occ   
}
}
/FALLBACK ELEC STEPS/{enterFallback=1}

/#   FALLBACK: SMOOTH STEPS/{
  Nfallback++
  if(converged==0){
   NfallbackBecauseNotConverged++
   osave=0
   bareConverged=0
  }else{
   NfallbackBecauseLowO++
   osave=o
   bareConverged=1
  }
}
/# smooth steps/{
  Nsmooth++
}
/# smooth steps done/{
  o2=$7*1.0
  s2=$10
  NsmoothDone++
  if(bareConverged==0){
   NsmoothSolvedNotConverged++
  }else{
    if (o2>=osave+0.0001){
      NsmoothImprovedOverlap++
    }
    if (o2<osave+0.0001 && o2>osave-0.0001 ){
      NsmoothSameOverlap++
    }
    if (o2<=osave-0.0001 ){
      NsmoothLowerOverlap++
    }
    if (o2> 0.5 && osave<0.5){
      NsmoothSolvedOverlap++
    }
    if(o2>=osave+0.0001 && o2< 0.5 && osave<0.5){
     NsmoothImprovedButNotSolvedOverlap++
    }
  }
  converged=1
}
/# smooth steps failed/{
  converged=0
  NsmoothFailed++
 if(bareConverged==0){
    print $0,parentocc,occ
 }
}
/FALLBACK: PARTIAL FREEZING MOS/{
  Npartfreez++
}
/partial freezing\+releasing done/{
 NpartfreezDone++
}
/# ELEC STEP:/{
  enterFallback=0
  isParent=1
  Nsteps++
  if ($4=="bare"){
    NbareFinal++
  }
  if ($4=="smooth"){
   NsmoothFinal++
  }
  if ($4=="partial"){
   NpartialfreezFinal++
  }
}
END{
  print "Nnodes",Nnodes
  print "NnotUnique",NnotUnique,NnotUnique/Nnodes
  print "Nsteps",Nsteps
  print "Nfallback",Nfallback
  print "--Nfallback because low overlap",NfallbackBecauseLowO,NfallbackBecauseLowO/Nsteps
  print "--Nfallback because not converged",NfallbackBecauseNotConverged,NfallbackBecauseNotConverged/Nsteps
  print "Nsmooth",Nsmooth
  print "-- NsmoothDone",NsmoothDone
  print "-- NsmoothFailed",NsmoothFailed
  print "-- NsmoothSolvedNotConverged", NsmoothSolvedNotConverged
  print "-- NsmoothSameOverlap",NsmoothSameOverlap
  print "-- NsmoothLowerOverlap",NsmoothLowerOverlap
  print "-- NsmoothImprovedOverlap",NsmoothImprovedOverlap
  print "----NsmoothSolvedOverlap",NsmoothSolvedOverlap
  print "----NsmoothImprovedButNotSolvedOverlap",NsmoothImprovedButNotSolvedOverlap
  print "-- OverallImprovedBySmooth", NsmoothSolvedNotConverged+NsmoothImprovedOverlap
  print "Npartfreez",Npartfreez
  print "-- NpartfreezDone",NpartfreezDone
  print "NbareFinal",NbareFinal
  print "NsmoothFinal",NsmoothFinal
  print "NpartialfreezFinal",NpartialfreezFinal
}
'
