# python 2 script 
from __future__ import print_function
import os
from sys import exit,stdout
import re
from python_xmolecule_interface import xmol
import random
import numpy as np
from math import sqrt,acos
import copy

XM=xmol()
XM.init()
occ=XM.get_occ()


# make a dictionary storing all parent -> child relations
def add_childs(occ, child_dict={}):
    childs = []
    for i in range(0,len(occ)):
        if occ[i]>0:
            child_occ = occ[:]
            child_occ[i] = child_occ[i] - 1
            if(child_occ[4]==1 and child_occ[5]>0):
                continue
            if(child_occ[4]==0 and child_occ[5]>0):
                continue
            childs.append(child_occ)        
    child_dict[str(occ)] = childs
    for c in childs:
        if str(c) in child_dict.keys():
            continue
        add_childs(c, child_dict)
child_dict={}
add_childs(occ, child_dict)

#i=0
#for parent in sorted(child_dict.keys(), reverse=True, key= lambda x: sum(eval(x)) ):
#    for child in child_dict[parent]:
#        i=i+1
#        print(parent + "->" + str(child))
#print("Number of edges " + str(i))
stdout.flush()

xms=dict()
filename="chkpt_"+ "".join(str(o) for o in occ) + ".dat"
XM.write_chkpt()
os.system("mv chkpt.dat "+ filename)
xms[str(occ)]=[{'XM': None, 'parent': 'start' , 'chkpt': filename, "E": XM.energy}]

Nel=2

for parent in sorted(child_dict.keys(), reverse=True, key= lambda x: sum(eval(x)) ):
    #if sum(eval(parent)) > Nel+1:
    #    continue
    print('Nel = ', sum(eval(parent)) )
    print('Summary: converged solutions we have for ' + "".join(str(o) for o in eval(parent)))

    energies = []
    for p in xms[parent]:
        grandparent = p["parent"]        
        if grandparent=="start":
            print(str(p["E"]) + ' from ' + grandparent)
        else:
            print(str(p["E"]) + ' from ' + "".join(str(o) for o in eval(grandparent)))
        energies.append(p["E"])

    energies = np.array(energies) 
    parentIndex = 0
    if (abs(energies - energies.mean()) > 1e-4).any():
        print("NO UNIQUE SOLUTION!")
        parentIndex = np.argmin(np.abs(energies - np.mean(energies)))
        print("Taking solution" +str(parentIndex))

    stdout.flush()
    # remove the information about the parent to save memory
    # del xms[parent][1:]

    for child in child_dict[parent]:
        #if sum(child) > Nel:
        #    continue
        #XM = copy.deepcopy(xms[parent][0]["XM"]) # always take the first parent solution as guess
        filename="chkpt_" + "".join(str(o) for o in eval(parent)) + "_to_" + \
            "".join(str(o) for o in child) + ".dat"

        if os.path.isfile(filename):            
            os.system("cp "+ filename +" "+ "chkpt.dat ")            
            XM.read_chkpt()            
        else:
            os.system("cp "+ xms[parent][parentIndex]["chkpt"] +" "+ "chkpt.dat ")
            XM.read_chkpt()
            XM.set_occ(child)
            XM.write_chkpt()
            os.system("mv chkpt.dat "+ filename)

            
        if str(child) not in xms.keys():            
            xms[str(child)] = [{'XM':None, 'parent': parent, 'chkpt': filename, "E": XM.energy}]
        else:
            xms[str(child)].append({'XM':None, 'parent': parent, 'chkpt': filename, "E": XM.energy})

    #os.sys.exit()
    

    


