#### Should be sourced in to run_examples.sh ####

# General definitions
occ=0001202
parentocc=1001202
parentocc_final=0011202
set_occ_array; set_p_occ_array

#### Start of routines ####

# Create reference wf file for parentocc and fractional occupation 1.0
fractions=(1.0)
wf_file=wf.${parentocc}.f=1.0.dat
yes_final=1 # false

cp_parent_data
write_input_file
calculate_ionized_conf_fractions # | grep -f ${maketransitions_dir}/grep_patterns/create_wavefunctions
cp wf.dat $wf_file
cp basis.dat ${wf_file/wf/basis}

# Redo calculation with xmol_angles. 
# (At this point in time the reference to the wf.$parentocc.f=1.0.dat is still hardcoded into the executable...)
# first DIIS/cmd
cp $wf_file wf.dat; cp ${wf_file/wf/basis} basis.dat
c="cmd"; ${xmol_angles} input.in -occ ${occ}  ${optionsionized} -xatom_path=${xatom_path} | tee output.${rev}.${c}.${parentocc}.angles
${overlap_path} input.in -occ ${occ} -RIni -ref ../${parentocc}/wf.dat -ref_basis ../${parentocc}/basis.dat
#  WF_overlap  0.396518798115791     
${overlap_path} input.in -occ ${occ} -RIni -ref wf.${parentocc_final}.dat -ref_basis basis.${parentocc_final}.dat
# WF_overlap  0.999999999999958     
# then fallback smooth varying of fractional occupation/cmd5
cp $wf_file wf.dat; cp ${wf_file/wf/basis} basis.dat
c="cmd5"
{
for i in 1.0 0.9 0.8 0.7 0.6 0.5 0.4 0.3 0.2 0.1 0.0; do
  echo "step f=$i"
  set_frac_occ $i

  ${xmol_angles} input.in -occ ${occ} -f_occ ${frac_occ} ${optionsionized0} -xatom_path=${xatom_path} -ref $wf_file
  echo -n 'GUESSINFO: Overlap with initial guess:'
  ${overlap_path} input.in -occ ${occ} -RIni -ref ../${parentocc}/wf.dat -ref_basis ../${parentocc}/basis.dat | sed s/WF_overlap//
  echo "finish f=$i"
done
echo "step final"
${xmol_angles} input.in -occ ${occ}  ${optionsionized0} -xatom_path=${xatom_path} -ref $wf_file | grep -v GUESSINFO

echo -n 'GUESSINFO: Overlap with initial guess (end):'
${overlap_path} input.in -occ ${occ} -RIni -ref ../${parentocc}/wf.dat -ref_basis ../${parentocc}/basis.dat | sed s/WF_overlap//
echo "finish final"
} | tee output.${rev}.${c}.${parentocc}.angles

# Get Overlap matrices from DIIS/cmd calculation
c="cmd"; data_file="output.${rev}.${c}.${parentocc}.angles"
grep ${data_file} -f <(echo -e "# SCFITER:\n# OREF:")
# Get Overlap matrices from smooth/cmd5 calculation
c="cmd5"; data_file="output.${rev}.${c}.${parentocc}.angles"
grep ${data_file} -f <(echo -e "# SCFITER:\n# OREF:\nf=") | less

if ! [ -d ${parentocc}to${occ} ]; then mkdir ${parentocc}to${occ}; fi
cd ${parentocc}to${occ}
ln -s ../{C,O}.nao .
write_input_file

# Get total energy from converged solution
# initial solution
fractions=(1.00 0.90 0.80 0.70 0.60 0.50 0.40 0.30 0.20 0.10 0.00)
wf_file="../wf.${parentocc}.f=1.0.dat"
basis_file=${wf_file/wf/basis}
out_file_suffix="ini.out"
data_file="total_energies.${parentocc}.ini.dat"
xmol_angles_options="-MOM -NODIIS -SwitchToDIIS 0.01"
calc_total_energies_of_fractions
collect_total_energies_of_fractions

# final solution ##########
fractions=(1.00 0.90 0.80 0.70 0.60 0.50 0.40 0.30 0.20 0.10 0.00) 
wf_file="../wf.${parentocc_final}.dat"
basis_file=${wf_file/wf/basis}
out_file_suffix="fin.out"
data_file="total_energies.${parentocc}.fin.dat"
xmol_angles_options="-MOM -NODIIS -SwitchToDIIS 0.01"
calc_total_energies_of_fractions
collect_total_energies_of_fractions

