#### Should be sourced in to run_examples.sh ####

# General definitions
occ=1001002
parentocc=1011002
parentocc_final=1011002
set_occ_array; set_p_occ_array

#### Start of routines ####

# Create reference wf file for parentocc and fractional occupation 1.0
fractions=(1.0)
wf_file=wf.${parentocc}.f=1.0.dat
yes_final=1 # false

cp_parent_data
write_input_file
calculate_ionized_conf_fractions # | grep -f ${maketransitions_dir}/grep_patterns/create_wavefunctions
cp wf.dat $wf_file
cp basis.dat ${wf_file/wf/basis}

if ! [ -d ${parentocc}to${occ} ]; then mkdir ${parentocc}to${occ}; fi
cd ${parentocc}to${occ}
ln -s ../{C,O}.nao .
write_input_file

# Get total energy from converged solution
# initial solution
fractions=(1.00 0.90 0.80 0.70 0.60 0.50 0.40 0.30 0.20 0.10 0.00)
wf_file=wf.${parentocc}.f=1.0.dat
basis_file=${wf_file/wf/basis}
out_file_suffix="ini.out"
data_file="total_energies.${parentocc}.ini.dat"
xmol_angles_options="-MOM -NODIIS -SwitchToDIIS 0.01"
calc_total_energies_of_fractions
collect_total_energies_of_fractions

# global minimum solution
angle_ini=1.10
wf_file=wf.1001102.f=1.0.dat
cp ../$wf_file wf.dat; cp ../${wf_file/wf/basis} basis.dat
$rotate_orbitals_path  input.in -occ $occ -RIni -angle $angle_ini -orb1 4 -orb2 7 -file_wf ../$wf_file -SIni

fractions=(1.00 0.90 0.80 0.70 0.60 0.50 0.40 0.30 0.20 0.10 0.00) 
wf_file=wf.dat
basis_file=basis.dat
out_file_suffix="global_min.out"
data_file="total_energies.${parentocc}.global_min.dat"
xmol_angles_options="-MOM -NODIIS -SwitchToDIIS 0.01"
calc_total_energies_of_fractions
collect_total_energies_of_fractions


# Move back to directory for $occ
cd ..