#### Should be sourced in to run_examples.sh ####

# General definitions
occ=1001102
parentocc=1101102
parentocc_final=1001202
set_occ_array; set_p_occ_array

#### Start of routines ####

# # Create reference wf file for parentocc and fractional occupation 1.0
# fractions=(1.0)
# wf_file=wf.${parentocc}.f=1.0.dat
# yes_final=1 # false

# cp_parent_data
# write_input_file
# calculate_ionized_conf_fractions # | grep -f ${maketransitions_dir}/grep_patterns/create_wavefunctions
# cp wf.dat $wf_file
# cp basis.dat ${wf_file/wf/basis}

# Instead try to freeze all orbitals but 3,4,7 no MOM
cp $wf_file wf.dat; cp ${wf_file/wf/basis} basis.dat
c="cmd"; ${xmol_angles} input.in -occ ${occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -freeze 1,2,5,6,8,9,10 -SIni | tee output.${c}.${parentocc}.angles
${overlap_path} input.in -occ ${occ} -RIni -RIniSh -ref $wf_file -ref_basis ${wf_file/wf/basis}
# WF_overlap -0.345929221246899     
${overlap_path} input.in -occ ${occ} -RIni -RIniSh -ref wf.${parentocc_final}.dat -ref_basis basis.${parentocc_final}.dat
# WF_overlap  0.886069096871815     
save_basis_wf
c="cmd"; cp wf.${c}.${parentocc}.dat wf.dat; cp basis.${c}.${parentocc}.dat basis.dat
${xmol_angles} input.in -occ ${occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -SIni -MOM -ref $wf_file -ref_basis ${wf_file/wf/basis}
${overlap_path} input.in -occ ${occ} -RIni -RIniSh -ref $wf_file -ref_basis ${wf_file/wf/basis}
# WF_overlap  -0.428791538249816
# Overlap to final   
${overlap_path} input.in -occ ${occ} -RIni -RIniSh -ref wf.${parentocc_final}.dat -ref_basis basis.${parentocc_final}.dat
# WF_overlap  0.999999999999988

if ! [ -d ${parentocc}to${occ} ]; then mkdir ${parentocc}to${occ}; fi
cd ${parentocc}to${occ}
ln -s ../{C,O}.nao .
write_input_file

# Get total energy from converged solution
# initial solution
fractions=(1.00 0.90 0.80 0.70 0.60 0.50 0.40 0.30 0.275 0.250 0.225 0.20 0.10 0.00)
wf_file="../wf.${parentocc}.f=1.0.dat"
basis_file=${wf_file/wf/basis}
out_file_suffix="ini.out"
data_file="total_energies.${parentocc}.ini.dat"
xmol_angles_options="-MOM -NODIIS -SwitchToDIIS 0.01"
calc_total_energies_of_fractions
collect_total_energies_of_fractions

# final solution ##########
fractions=(0.80 0.70 0.60 0.50 0.40 0.30 0.275 0.250 0.225 0.20 0.10 0.00) 
wf_file="../wf.${parentocc_final}.dat"
basis_file=${wf_file/wf/basis}
out_file_suffix="fin.out"
data_file="total_energies.${parentocc}.fin.dat"
xmol_angles_options="-MOM -NODIIS -SwitchToDIIS 0.01"
calc_total_energies_of_fractions
collect_total_energies_of_fractions
