#### Should be sourced in to run_examples.sh ####

# General definitions
occ=1001002
parentocc=2001002
parentocc_final=1011002
set_occ_array; set_p_occ_array

#### Start of routines ####

# # Create reference wf file for parentocc and fractional occupation 1.0
# fractions=(1.0)
# wf_file=wf.${parentocc}.f=1.0.dat
# yes_final=1 # false

# cp_parent_data
# write_input_file
# calculate_ionized_conf_fractions # | grep -f ${maketransitions_dir}/grep_patterns/create_wavefunctions
# cp wf.dat $wf_file
# cp basis.dat ${wf_file/wf/basis}

# Till which fracitonal occupation do we still converge? f=0.2
# Look at the overlap matrices for each fractional occupation that converged:
# 1 and 2 didn't change. 5,6,8,9, the pi orbitals, only mixed between each other and they all have zero occupation.
# That leaves 3,4,7,10, where 4,7,10 changed the most.

# Instead try to freeze all orbitals but 4,7,10
cp $wf_file wf.dat; cp ${wf_file/wf/basis} basis.dat
c="cmd"; ${xmol_angles} input.in -occ ${occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -freeze 1,2,3,5,6,8,9 -MOM -SIni | tee output.${c}.${parentocc}.angles
${overlap_path} input.in -occ ${occ} -RIni -RIniSh -ref wf.${parentocc_final}.dat -ref_basis basis.${parentocc_final}.dat
#  WF_overlap  0.474473867419629     
# Instead try to freeze and don't use MOM
cp $wf_file wf.dat; cp ${wf_file/wf/basis} basis.dat
c="cmd"; ${xmol_angles} input.in -occ ${occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -freeze 1,2,3,5,6,8,9 -SIni | tee output.${c}.${parentocc}.angles
${overlap_path} input.in -occ ${occ} -RIni -RIniSh -ref wf.${parentocc_final}.dat -ref_basis basis.${parentocc_final}.dat
# WF_overlap  0.474473867419629
${xmol_angles} input.in -occ ${occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -SIni -MOM
${overlap_path} input.in -occ ${occ} -RIni -RIniSh -ref wf.${parentocc_final}.dat -ref_basis basis.${parentocc_final}.dat
# Not converged

# Instead try to freeze all orbitals but 3,4,7
cp $wf_file wf.dat; cp ${wf_file/wf/basis} basis.dat
c="cmd"; ${xmol_angles} input.in -occ ${occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -freeze 1,2,5,6,8,9,10 -MOM -SIni | tee output.${c}.${parentocc}.angles
${overlap_path} input.in -occ ${occ} -RIni -RIniSh -ref wf.${parentocc_final}.dat -ref_basis basis.${parentocc_final}.dat
#   WF_overlap  0.661322131026388     
# No MOM
cp $wf_file wf.dat; cp ${wf_file/wf/basis} basis.dat
c="cmd"; ${xmol_angles} input.in -occ ${occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -freeze 1,2,5,6,8,9,10 -SIni | tee output.${c}.${parentocc}.angles
${overlap_path} input.in -occ ${occ} -RIni -RIniSh -ref wf.${parentocc_final}.dat -ref_basis basis.${parentocc_final}.dat
#  WF_overlap  0.661322131026388     
# Try to converge without freeze and with MOM
c="cmd"; ${xmol_angles} input.in -occ ${occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -MOM -SIni | tee output.${c}.${parentocc}.angles
${overlap_path} input.in -occ ${occ} -RIni -RIniSh -ref wf.${parentocc_final}.dat -ref_basis basis.${parentocc_final}.dat
#  WF_overlap  0.999999999999977     

# Check convergence via intermediate configuration $I$ calculated in a subspace of the orbitals
# collect data on subspace, if orthogonal_subspace optimization is prepend, convergence to final, overlap to final of intermediate and final 
executable="$xmolecule_path"
dat_file="subspace_convergence.2001002.xmolecule.dat" 
printf "# %20s %20s %20s %20s %20s %20s %20s \n" '$subspace1' '$subspace2' '$orthogonal_subspace' '$subspace_MOM' '$converged' '$olap_int' '$olap_fin' | tee $dat_file

convergence_via_intermediate() {
    GLOBAL_IN=(rev parentocc dat_file subspace1 freeze_list1 subspace_MOM subspace2 freeze_list2 orthogonal_subspace converged olap_int olap_fin executable)
    check_GLOBAL_IN || return 1

    c="freeze"
    out_file=output.${rev}.${c}.${parentocc}

    cp_parent_data

    if [ "$orthogonal_subspace" == "yes" ]; then
        ${executable} input.in -occ ${occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -freeze $subspace1 -MOM -SIni
    fi
    if [ "$subspace_MOM" == "yes" ]; then
        ${executable} input.in -occ ${occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -freeze $freeze_list1 -MOM -SIni | tee $out_file
    else
        ${executable} input.in -occ ${occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -freeze $freeze_list1      -SIni | tee $out_file
    fi
    if [ "$subspace2" != "-" ]; then
        if [ "$orthogonal_subspace" == "yes" ]; then
            ${executable} input.in -occ ${occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -freeze $subspace2 -MOM -SIni
        fi
        if [ "$subspace_MOM" == "yes" ]; then
            ${executable} input.in -occ ${occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -freeze $freeze_list2 -MOM -SIni | tee $out_file
        else
            ${executable} input.in -occ ${occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -freeze $freeze_list2      -SIni | tee $out_file
        fi
    fi
 
    if [ -n "$(grep 'NOT converged' $out_file)" ]; then 
        echo "Calculation not converged."
        converged="no"
        olap_int="0.0"
        olap_fin="0.0"
    else
        olap_int=$(${overlap_path} input.in -occ ${occ} -RIni -RIniSh -ref wf.${parentocc_final}.dat -ref_basis basis.${parentocc_final}.dat | egrep -oE "\-?[0-9]+[.][0-9]*((e|E)(\-|\+)?)?[0-9]*" || echo "0.0")     
        ${executable} input.in -occ ${occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -MOM -SIni | tee $out_file
        if [ -n "$(grep 'NOT converged' $out_file)" ]; then 
            echo "Calculation not converged."
            converged="no"
            olap_fin="0.0"
        else
            converged="yes"
            olap_fin=$(${overlap_path} input.in -occ ${occ} -RIni -RIniSh -ref wf.${parentocc_final}.dat -ref_basis basis.${parentocc_final}.dat | egrep -oE "\-?[0-9]+[.][0-9]*((e|E)(\-|\+)?)?[0-9]*" || echo "0.0")
        fi
    fi
    printf "%s %s %s %s %s %.4f %.4f \n" "$subspace1" "$subspace2" "$orthogonal_subspace" "$subspace_MOM" "$converged" "$olap_int" "$olap_fin" | tee -a $dat_file

}

# $4,7$; MOM in subspace
subspace1="4,7"
freeze_list1="1,2,3,5,6,8,9,10"
subspace_MOM="yes"
subspace2="-"
freeze_list2="-"
orthogonal_subspace="no"
converged=""
olap_int=""
olap_fin=""
convergence_via_intermediate

# $4,7$; noMOM in subspace
subspace1="4,7"
freeze_list1="1,2,3,5,6,8,9,10"
subspace_MOM="no"
subspace2="-"
freeze_list2="-"
orthogonal_subspace="no"
converged=""
olap_int=""
olap_fin=""
convergence_via_intermediate

# $4,7$; prepend orthogonal
subspace1="4,7"
freeze_list1="1,2,3,5,6,8,9,10"
subspace_MOM="no"
subspace2="-"
freeze_list2="-"
orthogonal_subspace="yes"
converged="-"
olap_int=""
olap_fin=""
convergence_via_intermediate

# $7,10$; prepend orthogonal
subspace1="7,10"
freeze_list1="1,2,3,4,5,6,8,9"
subspace_MOM="no"
subspace2="-"
freeze_list2="-"
orthogonal_subspace="yes"
converged="-"
olap_int=""
olap_fin=""
convergence_via_intermediate
  
# $3,4,7$; prepend orthogonal
subspace1="3,4,7"
freeze_list1="1,2,5,6,8,9,10"
subspace_MOM="no"
subspace2="-"
freeze_list2="-"
orthogonal_subspace="yes"
converged="-"
olap_int=""
olap_fin=""
convergence_via_intermediate

# $4,7,10$; prepend orthogonal
subspace1="4,7,10"
freeze_list1="1,2,3,5,6,8,9"
subspace_MOM="no"
subspace2="-"
freeze_list2="-"
orthogonal_subspace="yes"
converged="-"
olap_int=""
olap_fin=""
convergence_via_intermediate

# $3,4,7,10$
subspace1="3,4,7,10"
freeze_list1="1,2,5,6,8,9"
subspace_MOM="no"
subspace2="-"
freeze_list2="-"
orthogonal_subspace="no"
converged="-"
olap_int=""
olap_fin=""
convergence_via_intermediate


# $3,4,7,10$; prepend orthogonal
subspace1="3,4,7,10"
freeze_list1="1,2,5,6,8,9"
subspace_MOM="no"
subspace2="-"
freeze_list2="-"
orthogonal_subspace="yes"
converged="-"
olap_int=""
olap_fin=""
convergence_via_intermediate


# first $7,10$, then $4,7$; prepend orthogonal
subspace1="7,10"
freeze_list1="1,2,3,4,5,6,8,9"
subspace_MOM="no"
subspace2="4,7"
freeze_list2="1,2,3,5,6,8,9,10"
orthogonal_subspace="yes"
converged="-"
olap_int=""
olap_fin=""
convergence_via_intermediate

executable="$xmol_angles"
dat_file="subspace_convergence.2001002.xmol_angles.dat" 
printf "# %20s %20s %20s %20s %20s %20s %20s \n" '$subspace1' '$subspace2' '$orthogonal_subspace' '$subspace_MOM' '$converged' '$olap_int' '$olap_fin' | tee $dat_file


if ! [ -d ${parentocc}to${occ} ]; then mkdir ${parentocc}to${occ}; fi
cd ${parentocc}to${occ}
ln -s ../{C,O}.nao .
write_input_file

############################################################
# Get total energy vs fraction starting at different guesses

# initial solution ##########
# fractions=(1.00 0.90 0.80 0.70 0.60 0.50 0.40 0.38 0.36 0.35 0.34 0.33 0.32 0.31 0.30 0.28 0.26 0.24 0.22 0.20 0.15 0.10 0.00) 
fractions=(0.36 0.34 0.28 0.26)
wf_file="../wf.${parentocc}.f=1.0.dat"
basis_file=${wf_file/wf/basis}
# MOM
out_file_suffix="ini.out"
data_file="total_energies.${parentocc}.ini.dat"
xmol_angles_options="-MOM -NODIIS -SwitchToDIIS 0.01"
calc_total_energies_of_fractions
collect_total_energies_of_fractions
# initial solution all frozen but 3,4,7,10
out_file_suffix="ini_frozen.out"
data_file="total_energies.${parentocc}.ini_frozen.dat"
xmol_angles_options="-MOM -NODIIS -SwitchToDIIS 0.01 -freeze 1,2,5,6,8,9"
calc_total_energies_of_fractions
collect_total_energies_of_fractions
# initial solution all frozen but 3,4,7,10 no MOM
out_file_suffix="ini_frozen_noMOM.out"
data_file="total_energies.${parentocc}.ini_frozen_noMOM.dat"
xmol_angles_options="-NODIIS -SwitchToDIIS 0.01 -freeze 1,2,5,6,8,9"
calc_total_energies_of_fractions
collect_total_energies_of_fractions
# initial solution SOSCF 
out_fractions=(0.40 0.30 0.28 0.26 0.24)
file_suffix="ini_SOSCF.out"
data_file="total_energies.${parentocc}.ini_SOSCF.dat"
xmol_angles_options="-NODIIS -SOSCF"
calc_total_energies_of_fractions
collect_total_energies_of_fractions
# initial solution SOSCF all frozen but 3,4,7,10
fractions=(0.40 0.30 0.28 0.26 0.24)
out_file_suffix="ini_SOSCF_frozen.out"
data_file="total_energies.${parentocc}.ini_SOSCF_frozen.dat"
xmol_angles_options="-NODIIS -SOSCF -freeze 1,2,5,6,8,9"
calc_total_energies_of_fractions
collect_total_energies_of_fractions
# NO DIIS NO MOM freeze all but 3,4,7,10
fractions=(0.40 0.30 0.28 0.26 0.24)
out_file_suffix="ini_NODIIS_frozen.out"
data_file="total_energies.${parentocc}.ini_NODIIS_frozen.dat"
xmol_angles_options="-NODIIS -freeze 1,2,5,6,8,9"
calc_total_energies_of_fractions
collect_total_energies_of_fractions





# final solution ##########
fractions=(0.30 0.28 0.26 0.24 0.22 0.20 0.10 0.00) 
wf_file="../wf.${parentocc_final}.dat"
basis_file=${wf_file/wf/basis}
out_file_suffix="fin.out"
data_file="total_energies.${parentocc}.fin.dat"
xmol_angles_options="-MOM -NODIIS -SwitchToDIIS 0.01"
calc_total_energies_of_fractions
collect_total_energies_of_fractions
# final solution all frozen but 3,4,7,10
out_file_suffix="fin_frozen.out"
data_file="total_energies.${parentocc}.fin_frozen.dat"
xmol_angles_options="-MOM -NODIIS -SwitchToDIIS 0.01 -freeze 1,2,5,6,8,9"
calc_total_energies_of_fractions
collect_total_energies_of_fractions
# final solution all frozen but 3,4,7,10 no MOM
out_file_suffix="fin_frozen_noMOM.out"
data_file="total_energies.${parentocc}.fin_frozen_noMOM.dat"
xmol_angles_options="-NODIIS -SwitchToDIIS 0.01 -freeze 1,2,5,6,8,9"
calc_total_energies_of_fractions
collect_total_energies_of_fractions

# global minimum ##########
angle_ini=1.10
wf_file=wf.1001102.f=1.0.dat
cp ../$wf_file wf.dat; cp ../${wf_file/wf/basis} basis.dat
$rotate_orbitals_path  input.in -occ $occ -RIni -angle $angle_ini -orb1 4 -orb2 7 -file_wf ../$wf_file -SIni

fractions=(1.00 0.90 0.80 0.70 0.60 0.50 0.40 0.30 0.20 0.10 0.00) 
wf_file=wf.dat
basis_file=basis.dat
out_file_suffix="global_min.out"
data_file="total_energies.${parentocc}.global_min.dat"
xmol_angles_options="-MOM -NODIIS -SwitchToDIIS 0.01"
calc_total_energies_of_fractions
collect_total_energies_of_fractions


# Move back to directory for $occ
cd ..



############################################################
# old stuff

# # initial solution
# fractions=(1.00 0.90 0.80 0.70 0.60 0.50 0.40 0.38 0.35 0.33 0.32 0.31 0.30 0.24 0.22 0.20 0.15 0.10) 
# wf_file=wf.${parentocc}.f=1.0.dat

# cp ../$wf_file wf.dat; cp ../${wf_file/wf/basis} basis.dat
# for i in ${fractions[@]}; do 
#     set_frac_occ $i 
#     out_file=SCF_angles.${parentocc}.f=${i}.ini.out
#     $xmol_angles input.in -occ ${occ} -f_occ ${frac_occ} -MOM -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh | tee $out_file
# done

# data_file="total_energies.${parentocc}.initial_solution.dat"
# echo "# fraction vs. total energy" > $data_file
# for i in ${fractions[@]}; do
#     out_file="SCF_angles.${parentocc}.f=${i}.ini.out"
#     if ! [ -f $out_file ]; then continue; fi
#     if [ -n "$(grep 'NOT converged' $out_file)" ]; then 
#         echo "${i}   NaN" | tee -a $data_file
#     else
# #       grep "SCFITER" $out_file | tail -n 1 | sed -r "s/# SCFITER: +[0-9]+ +(\-?[0-9]+[.][0-9]*).*/${i}   \1/" >> $data_file
#         grep "#   Total Energy   =" $out_file | sed -r "s/#   Total Energy   = +(\-?[0-9]+[.][0-9]*).*/${i}  \1/" | tee -a $data_file
#     fi
# done

# # initial solution all frozen but 3,4,7,10
# fractions=(1.00 0.90 0.80 0.70 0.60 0.50 0.40 0.35 0.32 0.30 0.28 0.24 0.20 0.15 0.10 0.00) 
# wf_file=wf.${parentocc}.f=1.0.dat

# cp ../$wf_file wf.dat; cp ../${wf_file/wf/basis} basis.dat
# for i in ${fractions[@]}; do 
#     set_frac_occ $i 
#     out_file=SCF_angles.${parentocc}.f=${i}.ini_frozen.out
#     $xmol_angles input.in -occ ${occ} -f_occ ${frac_occ} -MOM -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -freeze 1,2,5,6,8,9 | tee $out_file
# done

# data_file="total_energies.${parentocc}.ini_frozen.dat"
# echo "# fraction vs. total energy" > $data_file
# for i in ${fractions[@]}; do
#     out_file="SCF_angles.${parentocc}.f=${i}.ini_frozen.out"
#     if ! [ -f $out_file ]; then continue; fi
#     if [ -n "$(grep 'NOT converged' $out_file)" ]; then 
#         echo "${i}   NaN" | tee -a $data_file
#     else
# #       grep "SCFITER" $out_file | tail -n 1 | sed -r "s/# SCFITER: +[0-9]+ +(\-?[0-9]+[.][0-9]*).*/${i}   \1/" >> $data_file
#         grep "#   Total Energy   =" $out_file | sed -r "s/#   Total Energy   = +(\-?[0-9]+[.][0-9]*).*/${i}  \1/" | tee -a $data_file
#     fi
# done

# # initial solution all frozen but 3,4,7,10 no MOM
# fractions=(1.00 0.90 0.80 0.70 0.60 0.50 0.40 0.35 0.32 0.30 0.28 0.24 0.20 0.15 0.10 0.00) 
# wf_file=wf.${parentocc}.f=1.0.dat

# cp ../$wf_file wf.dat; cp ../${wf_file/wf/basis} basis.dat
# for i in ${fractions[@]}; do 
#     set_frac_occ $i 
#     out_file=SCF_angles.${parentocc}.f=${i}.ini_frozen_noMOM.out
#     $xmol_angles input.in -occ ${occ} -f_occ ${frac_occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -freeze 1,2,5,6,8,9 | tee $out_file
# done

# data_file="total_energies.${parentocc}.ini_frozen_noMOM.dat"
# echo "# fraction vs. total energy" > $data_file
# for i in ${fractions[@]}; do
#     out_file="SCF_angles.${parentocc}.f=${i}.ini_frozen_noMOM.out"
#     if ! [ -f $out_file ]; then continue; fi
#     if [ -n "$(grep 'NOT converged' $out_file)" ]; then 
#         echo "${i}   NaN" | tee -a $data_file
#     else
# #       grep "SCFITER" $out_file | tail -n 1 | sed -r "s/# SCFITER: +[0-9]+ +(\-?[0-9]+[.][0-9]*).*/${i}   \1/" >> $data_file
#         grep "#   Total Energy   =" $out_file | sed -r "s/#   Total Energy   = +(\-?[0-9]+[.][0-9]*).*/${i}  \1/" | tee -a $data_file
#     fi
# done

# # final solution
# fractions=(0.30 0.28 0.26 0.24 0.22 0.20 0.10 0.00) 
# wf_file=wf.${parentocc_final}.dat

# cp ../$wf_file wf.dat; cp ../${wf_file/wf/basis} basis.dat
# for i in ${fractions[@]}; do 
#     set_frac_occ $i 
#     out_file=SCF_angles.${parentocc}.f=${i}.fin.out
#     $xmol_angles input.in -occ ${occ} -f_occ ${frac_occ} -MOM -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh | tee $out_file
# done

# data_file="total_energies.${parentocc}.final_solution.dat"
# echo "# fraction vs. total energy" > $data_file
# for i in ${fractions[@]}; do
#     out_file="SCF_angles.${parentocc}.f=${i}.fin.out"
#     if ! [ -f $out_file ]; then continue; fi
#     if [ -n "$(grep 'NOT converged' $out_file)" ]; then 
#         echo "${i}   NaN" | tee -a $data_file
#     else
# #        grep "SCFITER" $out_file | tail -n 1 | sed -r "s/# SCFITER: +[0-9]+ +(\-?[0-9]+[.][0-9]*).*/${i}   \1/" >> $data_file
#         grep "#   Total Energy   =" $out_file | sed -r "s/#   Total Energy   = +(\-?[0-9]+[.][0-9]*).*/${i}  \1/" | tee -a $data_file
#     fi
# done

# # final solution  all frozen but 3,4,7,10
# fractions=(0.30 0.28 0.24 0.22 0.20 0.10 0.00) 
# wf_file=wf.${parentocc_final}.dat

# cp ../$wf_file wf.dat; cp ../${wf_file/wf/basis} basis.dat
# for i in ${fractions[@]}; do 
#     set_frac_occ $i 
#     out_file=SCF_angles.${parentocc}.f=${i}.fin_frozen.out
#     $xmol_angles input.in -occ ${occ} -f_occ ${frac_occ} -MOM -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -freeze 1,2,5,6,8,9 | tee $out_file
# done

# data_file="total_energies.${parentocc}.fin_frozen.dat"
# echo "# fraction vs. total energy" > $data_file
# for i in ${fractions[@]}; do
#     out_file="SCF_angles.${parentocc}.f=${i}.fin_frozen.out"
#     if ! [ -f $out_file ]; then continue; fi
#     if [ -n "$(grep 'NOT converged' $out_file)" ]; then 
#         echo "${i}   NaN" | tee -a $data_file
#     else
# #        grep "SCFITER" $out_file | tail -n 1 | sed -r "s/# SCFITER: +[0-9]+ +(\-?[0-9]+[.][0-9]*).*/${i}   \1/" >> $data_file
#         grep "#   Total Energy   =" $out_file | sed -r "s/#   Total Energy   = +(\-?[0-9]+[.][0-9]*).*/${i}  \1/" | tee -a $data_file
#     fi
# done

# # final solution  all frozen but 3,4,7,10 no MOM
# fractions=(0.30 0.28 0.24 0.22 0.20 0.10 0.00) 
# wf_file=wf.${parentocc_final}.dat

# cp ../$wf_file wf.dat; cp ../${wf_file/wf/basis} basis.dat
# for i in ${fractions[@]}; do 
#     set_frac_occ $i 
#     out_file=SCF_angles.${parentocc}.f=${i}.fin_frozen_noMOM.out
#     $xmol_angles input.in -occ ${occ} -f_occ ${frac_occ} -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh -freeze 1,2,5,6,8,9 | tee $out_file
# done

# data_file="total_energies.${parentocc}.fin_frozen_noMOM.dat"
# echo "# fraction vs. total energy" > $data_file
# for i in ${fractions[@]}; do
#     out_file="SCF_angles.${parentocc}.f=${i}.fin_frozen_noMOM.out"
#     if ! [ -f $out_file ]; then continue; fi
#     if [ -n "$(grep 'NOT converged' $out_file)" ]; then 
#         echo "${i}   NaN" | tee -a $data_file
#     else
# #        grep "SCFITER" $out_file | tail -n 1 | sed -r "s/# SCFITER: +[0-9]+ +(\-?[0-9]+[.][0-9]*).*/${i}   \1/" >> $data_file
#         grep "#   Total Energy   =" $out_file | sed -r "s/#   Total Energy   = +(\-?[0-9]+[.][0-9]*).*/${i}  \1/" | tee -a $data_file
#     fi
# done

# # global minimum solution
# fractions=(1.00 0.90 0.80 0.70 0.60 0.50 0.40 0.30 0.20 0.10 0.00) 
# angle_ini=1.10
# wf_file=wf.1001102.f=1.0.dat

# cp ../$wf_file wf.dat; cp ../${wf_file/wf/basis} basis.dat
# $rotate_orbitals_path  input.in -occ $occ -RIni -angle $angle_ini -orb1 4 -orb2 7 -file_wf ../$wf_file -SIni
# for i in ${fractions[@]}; do 
#     set_frac_occ $i 
#     out_file=SCF_angles.${parentocc}.f=${i}.global_min.out
#     $xmol_angles input.in -occ ${occ} -f_occ ${frac_occ} -MOM -NODIIS -SwitchToDIIS 0.01 -RIni -RIniSh | tee $out_file
# done

# data_file="total_energies.${parentocc}.global_min.dat"
# echo "# fraction vs. total energy" > $data_file
# for i in ${fractions[@]}; do
#     out_file="SCF_angles.${parentocc}.f=${i}.global_min.out"
#     if ! [ -f $out_file ]; then continue; fi
#     if [ -n "$(grep 'NOT converged' $out_file)" ]; then 
#         echo "${i}   NaN" | tee -a $data_file
#     else
# #        grep "SCFITER" $out_file | tail -n 1 | sed -r "s/# SCFITER: +[0-9]+ +(\-?[0-9]+[.][0-9]*).*/${i}   \1/" | tee -a $data_file
#         grep "#   Total Energy   =" $out_file | sed -r "s/#   Total Energy   = +(\-?[0-9]+[.][0-9]*).*/${i}  \1/" | tee -a $data_file
#     fi
# done
