set key left top
set xlabel "initial angle [rad]"
set ylabel "final angle [rad]" 


set xrange [-pi/2:pi/2]
set yrange [-pi/2:pi/2]

# set size square

set terminal pngcairo size 960,480
set output out_file

if(!exists("spline_file")) {

plot angle_file1 u ($3 == 1 ? $1 : NaN):2 ls 1 lw 2 ps 2 title "MOM", \
     angle_file2 u ($3 == 1 ? $1 : NaN):2 ls 2 lw 2 ps 2 title "no MOM", \
     angle_file3 u ($3 == 1 ? $1 : NaN):2 ls 4 lw 2 ps 2 title "no DIIS, noMOM", \
     angle_file4 u ($3 == 1 ? $1 : NaN):2 ls 6 lw 2 ps 2 title "SOSCF"

} else {

# set y2label "convergence factor"
# set y2range [0:10]
# set ytics nomirror
# set y2tics
set x2label "convergence factor"
set x2range [0:10]
set xtics nomirror
set x2tics


set arrow from -pi/2, 0.0 to pi/2, 0.0  nohead

plot angle_file1 u ($3 == 1 ? $1 : NaN):2 ls 1 lw 2 ps 2 title "MOM", \
     angle_file2 u ($3 == 1 ? $1 : NaN):2 ls 2 lw 2 ps 2 title "no MOM", \
     angle_file3 u ($3 == 1 ? $1 : NaN):2 ls 4 lw 2 ps 2 title "no DIIS, noMOM", \
     angle_file4 u ($3 == 1 ? $1 : NaN):2 ls 6 lw 2 ps 2 title "SOSCF", \
     spline_file u (abs($5/$4)/2):(-$1) axes x2y1 w lines
     # spline_file u (-$1):(abs($5/$4)/2) axes x1y2 w lines
     # "scan_rotation.1001102.f=1.00.spline" u (-$1):5 axes x1y2 w linespoints 
}