# gnuplot script:
# plots the olap with initial guess and final solution for all f_occ
#
# variable out_file and in_file is to be set as command line argument by
# gnuplot -e "out_file='filename';in_file='file2'" plotfile
# or in gnuplot before loading

# check input variables
if(!exists("out_file")) { 
  print "variable out_file not given -> exit"
  exit
}
if(!exists("in_file")) { 
  print "variable in_file not given -> exit"
  exit                      
}
if(!exists("in_file_freeze")) {
  print "variable in_file_freeze not given -> exit"
  exit                      
}

# set options for plotting
set key right center
set xlabel "fractional occupation of MO5"
set xrange [0.2:0.]
set yrange [0.3:1.05]

# set output terminal
set terminal pngcairo size 640,480
set output out_file

# 2 graphs to one plot
plot in_file_freeze u ($1):($2**2) with linespoints title "olap with initial guess (frozen)", \
     in_file_freeze u ($1):($3**2) with linespoints title "olap with final solution (frozen)", \
     in_file u ($1):($2**2) with linespoints title "olap with final solution", \
     in_file u ($1):($3**2) with linespoints title "olap with final solution"

# plot "./olap.cmd5.1001102.freeze" u (1.-$1):($2**2) with linespoints title "olap with initial guess (frozen)", \
#      "./olap.cmd5.1001102.freeze" u (1.-$1):($3**2) with linespoints title "olap with final solution (frozen)", \
#      "./olap.cmd5.1001102"        u (1.-$1):($2**2) with linespoints title "olap with initial guess", \
#      "./olap.cmd5.1001102"        u (1.-$1):($3**2) with linespoints title "olap with final solution"
