# if(!exists("file_prefix")) { 

#   print "variable file_prefix not given -> exit"
#   exit                      
# }

if(!exists("input_file")) { 
  print "variable input_file not given -> exit"
  exit                      
} 
if(!exists("output_file")) { 
  print "variable output_file not given -> exit"
  exit                      
} 
if(!exists("xmax")) { 
  xmax=pi/2
  # print "variable xmax not given -> exit"
  # exit                      
} 
if(!exists("xshift")) {
  xshift=0.0
}


# set key left center
set xlabel "orbital rotation angle (orbital 4,7) in rad"
set ylabel "E in Hartree"
set y2label "E in Hartree"
set ytics nomirror
set y2tics

set xrange [-xmax:xmax]
#set yrange [:]



# create variables input_file, output_file and name with printf
# input_file=sprintf("%s.dat", file_prefix)
# output_file=sprintf("%s.png", file_prefix)

set terminal pngcairo size 640,480
set output output_file

plot input_file u (-($1-xshift)):2 with linespoints axes x1y1 title input_file, \
     for [i=6:9:3] "" u (-$1):i with linespoints axes x1y2

set y2range [GPVAL_Y2_MIN:GPVAL_Y2_MAX]

set output output_file

plot input_file u (-($1-xshift)):2 with linespoints axes x1y1 title "Total (left)", \
     for [i=3:12] "" u (-$1):i with linespoints axes x1y2 title sprintf("MO%i (right)",i-2)