if(!exists("input_file")) { 
  print "variable input_file not given -> exit"
  exit                      
} 
if(!exists("output_file")) { 
  print "variable output_file not given -> exit"
  exit                      
} 
if(!exists("xmax")) { 
  xmax=pi/2
} 
if(!exists("xshift")) {
  xshift=0.0
}


set key right 
set xlabel "orbital rotation angle (orbital 4,7) in rad"
set ylabel "E in Hartree"
set y2label "overlap with initial guess"
set ytics nomirror
set y2tics 

set xrange [-xmax:xmax]
#set yrange [:]

# set some arrows to identify trajectory
y1=-35.9690;  olap1=1.0000
y10=-35.9489; olap10=0.9978
y20=-36.0729; olap20=0.8330
y30=-35.9447; olap30=0.7577
y40=-35.9448; olap40=0.7577
set arrow 1 nohead from first -xmax,y1 to first xmax,y1
set label 1 sprintf("iter 1, olap^2 %1.3f", olap1**2) at -xmax,y1
set arrow 2 nohead from first -xmax,y10 to first xmax,y10
set label 2 sprintf("iter 10, olap^2 %1.3f", olap10**2) at -xmax,y10
set arrow 3 nohead from first -xmax,y20 to first xmax,y20
set label 3 sprintf("iter 20, olap^2 %1.3f", olap20**2) at -xmax,y20
set arrow 4 nohead from first -xmax,y30 to first xmax,y30
set label 4 sprintf("iter 30, olap^2 %1.3f", olap30**2) at -xmax,y30
set arrow 5 nohead from first -xmax,y40 to first xmax,y40
set label 5 sprintf("iter 40, olap^2 %1.3f", olap40**2) at -xmax,y40

# create variables input_file, output_file and name with printf
# input_file=sprintf("%s.dat", file_prefix)
# output_file=sprintf("%s.png", file_prefix)

set terminal pngcairo size 640,480
set output output_file

plot input_file u ($1-xshift):2 with linespoints title "left y-axis", \
     input_file u ($1-xshift):($3**2) with linespoints title "right y-axis" axes x1y2