set xrange [1.00:0.00]
# set yrange [-45:-30]
# set yrange [-0.2:1.0]

set terminal pngcairo size 1280,960
set output "total_energies.2001002to1001002.png"

# g(x)=c+d*x
# c=-63.5; d=30.0
# fit g(x) "2001002to1001002/total_energies.2001002.global_min.dat" u 1:2 via c,d
g(x)=a+b*x+c*x*x
a=-63.5; b=1.0; c=1.0
fit g(x) "2001002to1001002/total_energies.2001002.global_min.dat" u 1:2 via a,b,c

set multiplot layout 1,2

# total energies relative to fit
set yrange [-0.05:0.5]

set xlabel "fractional occupation"
set ylabel "total energy relative to fit of global min curve [Hartree]"

plot "2001002to1001002/total_energies.2001002.ini.dat" u 1:($2-g($1)) w linespoints title "start guess 2001002 ini", \
     "2001002to1001002/total_energies.2001002.ini_frozen.dat" u 1:($2-g($1)) w linespoints title "start guess 2001002 ini all frozen but 3,4,7,10", \
     "2001002to1001002/total_energies.2001002.ini_frozen_noMOM.dat" u 1:($2-g($1)) w linespoints title "start guess 2001002 ini  all frozen but 3,4,7,10 no MOM", \
     "2001002to1001002/total_energies.2001002.fin.dat" u 1:($2-g($1)) w linespoints title "start guess 2001002 fin", \
     "2001002to1001002/total_energies.2001002.fin_frozen.dat" u 1:($2-g($1)) w linespoints title "start guess 2001002 fin  all frozen but 3,4,7,10", \
     "2001002to1001002/total_energies.2001002.fin_frozen_noMOM.dat" u 1:($2-g($1)) w linespoints title "start guess 2001002 fin  all frozen but 3,4,7,10 no MOM", \
     "2001002to1001002/total_energies.2001002.global_min.dat" u 1:($2-g($1)) w linespoints title "global min 2001002 start guess 1001102 rotated"

# total energies
set yrange [-65:-30]

set xlabel "fractional occupation"
set ylabel "total energy [Hartree]"

plot "2001002to1001002/total_energies.2001002.ini.dat" w linespoints title "start guess 2001002 ini", \
     "2001002to1001002/total_energies.2001002.ini_frozen.dat" w linespoints title "start guess 2001002 ini all frozen but 3,4,7,10", \
     "2001002to1001002/total_energies.2001002.ini_frozen_noMOM.dat" w linespoints title "start guess 2001002 ini  all frozen but 3,4,7,10 no MOM", \
     "2001002to1001002/total_energies.2001002.fin.dat" w linespoints title "start guess 2001002 fin", \
     "2001002to1001002/total_energies.2001002.fin_frozen.dat" w linespoints title "start guess 2001002 fin  all frozen but 3,4,7,10", \
     "2001002to1001002/total_energies.2001002.fin_frozen_noMOM.dat" w linespoints title "start guess 2001002 fin  all frozen but 3,4,7,10 no MOM", \
     "2001002to1001002/total_energies.2001002.global_min.dat" w linespoints title "global min 2001002 start guess 1001102 rotated"

# plot "2001002to1001002/total_energies.2001002.ini.dat" w linespoints title "start guess 2001002 ini", \
#      "2001002to1001002/total_energies.2001002.ini_frozen.dat" w linespoints title "start guess 2001002 ini frozen", \
#      "2001002to1001002/total_energies.2001002.ini_frozen_noMOM.dat" w linespoints title "start guess 2001002 ini frozen_noMOM", \
#      "2001002to1001002/total_energies.2001002.fin.dat" w linespoints title "start guess 2001002 fin", \
#      "2001002to1001002/total_energies.2001002.fin_frozen.dat" w linespoints title "start guess 2001002 fin frozen", \
#      "2001002to1001002/total_energies.2001002.fin_frozen_noMOM.dat" w linespoints title "start guess 2001002 fin frozen_noMOM", \
#      "2001002to1001002/total_energies.2001002.global_min.dat" w linespoints title "global min 2001002 start guess 1001102 rotated", g(x) title "fit to global min"


# end multiplot

unset multiplot