if( !exists("parentocc") || !exists("occ") ) { 
  print "variable parentocc or occ not given -> exit"
  exit                      
} 

# parentocc="1101102"
# occ="1001102"

dir=sprintf("%sto%s",parentocc,occ)

set xrange [1.00:0.00]
# set yrange [-45:-30]
# set yrange [-0.2:1.0]

set terminal pngcairo size 1280,960
set output sprintf("total_energies.%sto%s.png",parentocc,occ)

# f(x)=a+b*x+c*x*x
# a=-25.0; b=1.0; c=1.0
# fit f(x) sprintf("%s/total_energies.%s.ini.dat",dir,parentocc) u 1:2 via a,b,c
f(x)=a+b*x
a=-25.0; b=1.0
fit f(x) sprintf("%s/total_energies.%s.ini.dat",dir,parentocc) u 1:2 via a,b

set multiplot layout 1,2

# total energies relative to  fit

# set offsets <left>, <right>, <top>, <bottom>
set offsets graph 0.0, 0.0, 0.1, 0.0

set xlabel sprintf("frac. occ. between %s and %s", parentocc, occ)
set ylabel "total energy relative to fit of ini [Hartree]"

plot sprintf("%s/total_energies.%s.ini.dat",dir,parentocc) u 1:($2-f($1)) w linespoints title "start guess ini", \
     sprintf("%s/total_energies.%s.fin.dat",dir,parentocc) u 1:($2-f($1)) w linespoints title "start guess fin"
     # sprintf("start guess %s ini",parentocc), \
     # sprintf("start guess %s fin",parentocc) 

unset offsets

# total energies 

set xlabel sprintf("frac. occ. between %s and %s", parentocc, occ)
# set xlabel "fractional occupation"
set ylabel "total energy [Hartree]"

plot sprintf("%s/total_energies.%s.ini.dat",dir,parentocc) w linespoints title "start guess ini", \
     sprintf("%s/total_energies.%s.fin.dat",dir,parentocc) w linespoints title "start guess fin"
     # sprintf("start guess %s ini",parentocc) ,\
     # sprintf("start guess %s fin",parentocc) 

# end multiplot

unset multiplot