#!/home/michael/anaconda2/bin/python2
from __future__ import print_function
from sys import argv # list of commandline arguments, argv[0] is name of script
from scipy.interpolate import CubicSpline
import matplotlib.pyplot as plt
import numpy as np

# get commandline args
if( len(argv) < 3 ):
    exit("Provide the following commandline arguments (columns start with 0):\n inputfile outputfile [xcol ycol]")  
infile = argv[1]
outfile = argv[2]
if( len(argv) == 4 ):
    xcol = int(argv[3])
else:
    xcol = 0
if( len(argv) > 4 ):
    ycol = int(argv[4])
else:
    ycol = 1

# read data from file
# data = np.loadtxt("transitions/1001002/scan_rotation.1001102.f=1.00.dat",comments="#")
data = np.loadtxt(infile,comments="#")
x = data[:,xcol]
y = data[:,ycol]

# interpolate data with periodic cubic spline
cs = CubicSpline(x,y,bc_type="periodic")

# write new file containing data of spline and its first, second and third derivative
xs = np.arange(-np.pi/2,np.pi/2,0.01)
# np.savetxt("transitions/1001002/scan_rotation.1001102.f=1.00.spline", np.transpose(np.array([xs,cs(xs),cs(xs,1),cs(xs,2),cs(xs,3)])), fmt="%10.4e")
np.savetxt(outfile, np.transpose(np.array([xs,cs(xs),cs(xs,1),cs(xs,2),cs(xs,3)])), fmt="%10.4e")

# # plot data, spline and first to third derivative
# xs = np.arange(-np.pi/2,np.pi/2,0.01)
# plt.figure(figsize=(6.5, 4))
# plt.plot(x,y, 'o', label='data')
# plt.plot(xs, cs(xs), label="S")
# # plt.plot(xs, cs(xs, 1), label="S'")
# # plt.plot(xs, cs(xs, 2), label="S''")
# # plt.plot(xs, cs(xs, 3), label="S'''")
# plt.xlim(-np.pi/2, np.pi/2)
# plt.legend(loc='lower left', ncol=2)
# plt.show()



# # use left and right y scale
# fig, ax_left = plt.subplots()
# xs = np.arange(-np.pi/2,np.pi/2,0.01)
# ax_left.plot(x,y, 'bo', label='data')
# ax_left.plot(xs, cs(xs),"b-")
# ax_left.set_xlabel('phi [rad]')
# ax_left.set_ylabel('E [Hartree]', color='b')
# ax_left.tick_params('y', colors='b')

# ax_right = ax_left.twinx()
# ax_right.plot(xs, cs(xs, 1), label="S'")
# ax_right.plot(xs, cs(xs, 2), label="S''")
# ax_right.plot(xs, cs(xs, 3), label="S'''")
# ax_right.set_ylabel('derivatives [Hartree/rad^n')

# plt.xlim(-np.pi/2, np.pi/2)
# plt.legend(loc='center left', ncol=2)
# plt.show()
