#!/home/michael/anaconda2/bin/python2
from __future__ import print_function
import numpy as np
from sys import argv # list of commandline arguments, argv[0] is name of script
from math import sin,cos,pi

# # Input via angle; only implemented for 1 angle/2 orbitals/2x2 olap_mat
# if( len(argv) < 2 ):
#     exit("Provide the following commandline arguments:\n angle (between 0.0 and pi/4) \n [bound] (float, default=0.1)" 

# angle=float(argv[1])
# print("angle="+str(angle))

# if( angle > pi/4 or angle < 0.0 ):
#     exit("angle must be between 0.0 and pi/4.")

# olap_mat = np.array([ [cos(angle), sin(angle)], 
#                [-sin(angle), cos(angle)] ])

# read olap_mat from file
if( len(argv) < 2 ):
    exit("Provide the following commandline arguments:\n filename (file contains only olap_mat) \n [bound] (float, default=0.1)") 
infile=argv[1]

if( len(argv) > 2 ):
    bound = float(argv[2])
else:
    bound = 0.1

olap_mat = np.loadtxt(infile,comments="#")

# print(olap_mat)

x,y = np.shape(olap_mat)

if x != y:
    exit("olap_mat has to be a symmetric square matrice!")
else:
    n=x

# Use boolean array:
sub_classes=np.identity(n,dtype=bool)
 
diag_squared = np.diag(olap_mat)**2

for j in range(0,n):
    sub_classes[j,j+1:n] = ( olap_mat[j,j+1:n]**2 >= bound * diag_squared[j] )
 
# print(sub_classes)

for j in range(0,n):
    for i in range(j+1,n):
        if np.dot(sub_classes[j,:],sub_classes[i,:]):
                sub_classes[j,:] = np.maximum(sub_classes[j,:],sub_classes[i,:])
                sub_classes[i,:] = np.zeros([1,n],dtype=bool)

# print(sub_classes)

# Output list of subclasses:
for j in range(0,n):
    if np.sum(sub_classes[j,:]) > 0 :
        subclass_string = ""
        for i in range(0,n):
            if sub_classes[j,i]:
                if len(subclass_string) != 0:
                    subclass_string += ","
                subclass_string += str(i+1)
        print(subclass_string)


# Use integer array: 
# sub_classes=np.identity(n,dtype=int)
# for j in range(0,n):
#     for i in range(j+1,n):
#         if olap_mat[j,i]**2 >= bound * olap_mat[j,j]**2:
#             sub_classes[j,i] = 1
# Output for 2x2 integer array sub_classes:
# sum = np.sum(np.dot(sub_classes[0,:],sub_classes[1,:]))
# if sum > 0:
#     print("Orbitals 1 and 2 belong to one subclass.")
# else:
#     print("Orbitals 1 and 2 are each in their own subclass.")
