#!/bin/bash
################################################################################
# Repetitive code to be shared by maketransitions.sh, maketransitions_functions.sh
# and the scripts they create
#
# Should be sourced only after the setup file as described in maketransitions.sh
#
# $Id$
################################################################################
. $(dirname ${BASH_SOURCE[0]})/string_functions.sh
. $(dirname ${BASH_SOURCE[0]})/maketransitions_functions.sh

GLOBAL_IN=(xmolecule_path overlap_path xatom_path)
check_GLOBAL_IN ${BASH_SOURCE[0]} || return 1

source intel-setup-2011.sh intel64 || \
    { >&2 echo "Failed to source: intel-setup-2011.sh intel64 -> exit"; return 1; }

#ulimit -s unlimited

# # turn alias expansion on
# shopt -s expand_aliases
# # set aliases to the main executables xmolecule, xatom and overlap
# yes_exit="no"
# for name in xmolecule overlap xatom; do
#     path=$(eval "echo -n \${${name}_path}")
#     if [ -x ${path} ]; then
#         eval "alias ${name}=${path}"
#     else
#         >&2 echo "in ${name}_path=$path the executable ${name} couldn't be found."
#         yes_exit="yes"
#     fi
# done
# if [ "$yes_exit" == "yes" ]; then
#     >&2 echo "Not all executables to use maketransitions.sh or maketransitions_functions.sh found -> exit"
#     return 1    
# fi
# # set alias to rotate_orbitals if given
# if [ -x $rotate_orbitals_path ]; then
#     alias rotate_orbitals=${rotate_orbitals_path}/rotate_orbitals
# fi

# get review number from xmolecule output
if [ -z "$rev" ]; then
    rev=$(get_last_num "$(${xmolecule_path} -xatom_path ${xatom_path} | grep 'Rev.')")
fi

### set language to English (otherwise printf might use , as a decimal point)
LANG="en_US.UTF-8"

### 
atoms_file_prefix_format="%s.%s" #% atom; atom conf

### define pi
pi=$(echo "scale=10; 4*a(1)" | bc -l)

##### ideas for future changes #####

