#!/bin/bash
#$Id$

# source maketransitions_functions.sh and string_functions.sh
# source intel stuff
# set aliases and turn alias expansion on
. ./setup.sh 

check_existence_of_input_files setup.sh input.in || exit 1

save_files setup.sh input.in 

# empty files supposed for output
echo '' > notconvergedlist.txt
echo '' > converged_to_wrong_states.txt

echo "Using Rev. $rev"

# create nao files for all core orbital occupations of C and O
init_basis  || exit 1

### calculate neutral CO
occ=$occ_neutral
# set atomconfC and atomconfO
set_atom_conf || exit 1
# create directory for occ and link .nao and .tdipole and .auger according to atomconfC and atomconfO
prepare_basis  || exit 1
# call xmolecule
calculate_neutral_conf || exit 1

# calculate first ionization state
get_next_occ || exit 1
    # set array parents
get_parents || exit 1
    # set atomconfC and atomconfO
set_atom_conf || exit 1
    # create directory for occ and link .nao and .tdipole and .auger according to atomconfC and atomconfO 
prepare_basis || exit 1

    # try to converge to occ from every parent
for parentocc in ${parents[@]}; do  
    calculate_parentocc_occ || exit 1
        # analyze results from calculation of occupation with parentocc and choose best method
    analyze_parentocc_occ || exit 1
done

    # Analyse results from different parents and choose best
analyze_results_all_parents || exit 1
