#!/bin/bash
#$Id$

test_dir="test_CO_fast"
. ./setup.sh

# prepare directory for test
# clean directory if present
# create directory else
echo "prepare directory $test_dir"
if [ -d "${test_dir}" ]; then
    cd ${test_dir}
    clean_files_and_directories
else
    mkdir ${test_dir}
    cd ${test_dir}
fi

# cp files for executing maketransitions.sh
echo "cp files from parent directory"
yes_exit="no"
for file in setup.sh input.in maketransitions_first.sh maketransitions_functions.sh string_functions.sh; do
    if [ -f "../${file}" ]; then
        cp "../${file}" ${file}
    else
        echo "../${file} doesn't exist, but is necessary for execution."
        yes_exit="yes"
    fi
    if [ "${yes_exit}" == "yes" ]; then
        echo "not all files for execution were found -> exit"
        exit 1
    fi
done

echo "run maketransitions_first.sh"
bash maketransitions_first.sh > /dev/null 2> maketransitions.error

cd ..