# XMOLECULE electronic structure toolkit

XMOLECULE is a tool for ab-initio molecular electronic structure calculation. It has the capabilities to describe molecular aspects of various x-ray related processes in an efficient way. Many aspects are strongly built upon atomic electronic structure calculations provided by XATOM.

XMOLECULE describes the electronic structure either based on numerical atomic orbitals (NAOs) or gaussian type orbitals (GTO).
NAOs are generated from XATOM, whereas GTO basis sets are provided through available basis set libraries. The employed electronic structure model is based on Hartree-Fock or Hartree-Fock-Slater.

Basic x-ray related transitions such as Auger-Meitner decay, photoabsorption, and x-ray fluorescence can be calculated. For a convenient incorporation of XMOLECULE into ab-initio molecular dynamics simulations, XMOLECULE provides a python interface that can easily be integrated into MD software. An example for such an intergration is provided through the chemical dynamics toolkit (CDTK) that is also shipped with XRAYPAC.

See full manual [here](http://cfel_desy_theory.pages.desy.de/xmolecule)

## Environment Variables

To run pyxmol, the following environment variables have to be set:
```
XATOM_PATH # the path to the xatom binary, e.g., $HOME/XATOM/src/xatom
XMOLECULE_BASIS_DIR # the path to the gaussian basis set specifications, e.g., $HOME/XMOLECULE/basis_sets or /usr/local/share/xmolecule/basis_sets
```
