/*
 XMOLECULE electronic structure toolkit
 Copyright 2023 Ludger Inhester
 Ludger Inhester, Center for Free-Electron Laser Science, DESY
 ludger.inhester@cfel.de

 This file is part of XMOLECULE, which is distributed under the terms of the GNU General Public License version 3.
 See LICENSE.txt or https:\/\/www.gnu.org\/licenses\/gpl-3.0.html#license-text for a full license text.
*/

/*
prototypes for python_xmolecule_interface.h
*/

#ifndef PYTHONXMOLECULEH
#define PYTHONXMOLECULEH

#if PY_MAJOR_VERSION == 2
void initpython_xmolecule_interface(void);
#elif PY_MAJOR_VERSION == 3
PyMODINIT_FUNC PyInit_python_xmolecule_interface(void);
#endif

#endif

typedef struct
{
  PyObject_HEAD void *xmol_data;
  int natom;
  int nmo;
  int nao;
  int locc;
  int nstates;
  double energy;
  char *inputfile;
} xmol;
