!
! XMOLECULE electronic structure toolkit
! Copyright 2023 Ludger Inhester
! Ludger Inhester, Center for Free-Electron Laser Science, DESY
! ludger.inhester@cfel.de
!
! This file is part of XMOLECULE, which is distributed under the terms of the GNU General Public License version 3.
! See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
!


! calculates the angular integral for a all angularmomenta l<=lmax

program legendre_Test
  use legendre
  implicit none
  integer ,parameter :: lmax=10
  integer :: l,m
  real(long) :: Plm
  real(long), dimension((lmax+1)*(lmax+2)/2) :: p

  real(long) :: x=-0.12345678

  call associated_Legendre_P_array( lmax, x,p ) 

  do l=0,lmax
     do m=0,l

        if( &
             abs(associated_Legendre_P( l, m, x )- p( l*(l+1)/2 + m +1)) > 1.e-15&
             )then
           write(6,"('l=',2x,i3,2x,'m=',2x,i3,2x,'lm=',i3,2x,'Plm=',2es13.4)") &
                l,m,l*(l+1)/2 + m +1,&
                associated_Legendre_P( l, m, x ), p( l*(l+1)/2 + m +1)
        end if
     end do
  end do



end program Legendre_Test



