!
! XMOLECULE electronic structure toolkit
! Copyright 2023 Ludger Inhester
! Ludger Inhester, Center for Free-Electron Laser Science, DESY
! ludger.inhester@cfel.de
!
! This file is part of XMOLECULE, which is distributed under the terms of the GNU General Public License version 3.
! See LICENSE.txt or https://www.gnu.org/licenses/gpl-3.0.html#license-text for a full license text.
!

program test_mergesort
  use constants
  use mergesort
  use stdio
  implicit none
  integer, parameter :: N = 10
  integer :: i, j, s
  integer :: A(N)
  integer :: arg(N)
  type(Argument) :: clARG
  integer :: OUTPUT
  character(len=32) :: fileOut
  real(long) :: B(N)
  real r
  fileOut=""
  OUTPUT = STDOUT
  call get_input(clarg)
  do i = 1, clarg%N
    select case (clarg%option(i))
    case("-o")
      fileOut = trim(clarg%string(i))
      OUTPUT = 11
    case default
      write(6,"(a,x,a)") 'command line argument ',clarg%option(i),'not understood'
      error stop
    end select
  end do
  if (OUTPUT .ne. STDOUT) open (OUTPUT, file=fileOut)
  do s = 1, 100
    do i = 1, N
      call random_number(r)
      A(i) = 1 + floor(N*r)
    end do
    write (OUTPUT, '(a,100x)') '----'
    write (OUTPUT, '(a,100i3)') 'orig:', A(:)

    call merge_argsort(A, arg)
    write (OUTPUT, '(a,100i3)') ' idx:', arg(:)

    write (OUTPUT, '(a,100i3)') 'sort:', A(arg(:))
    do j = 1, N - 1
      if (A(arg(j + 1)) < A(arg(j))) then
        error stop
      end if
    end do

    call merge_sort(A)
    write (OUTPUT, '(a,100i3)') 'sort:', A(:)

  end do

  do s = 1, 100
    do i = 1, N
      call random_number(r)
      B(i) = dble(r)*100.
    end do
    write (OUTPUT, '(a,100x)') '----'
    write (OUTPUT, '(a,100es10.3)') 'orig:', B(:)

    call merge_argsort(B, arg)
    write (OUTPUT, '(a,100i3)') ' idx:', arg(:)

    write (OUTPUT, '(a,100es10.3)') 'sort:', B(arg(:))
    do j = 1, N - 1
      if (B(arg(j + 1)) < B(arg(j))) then
        error stop
      end if
    end do
  end do
end program test_mergesort
