#!/bin/sh
source intel-setup-2011.sh intel64
export PYTHONPATH=`pwd`/../src/:$PYTHONPATH
export XMOLECULE_BASIS_DIR=`pwd`/../basis_sets/
python -m unittest testOrbitalEnergies # compares orbital energues for some molecules + methods

python -m unittest testArgonRates # compares rates/cross section for Argon
python -m unittest testOxygenRates # compares rates/cross section for Oxygen
python -m unittest testIodineRates # compares rates/crosssection for iodine
python -m unittest testCH3IRates # compares rates/crossection for CH3I molecule


# testing rate equation solving
python -m unittest testRateEquation # test rate equation solver
python -m unittest testRateEquation_neon_12kev
python -m unittest testRateSolver.TestRateSolver.test_water_req # takes extremely long
python -m unittest testRateSolver.TestRateSolver.test_oxygen_req
# fails
#python -m unittest testRateSolver.TestRateSolver.test_neon_req


python -m unittest testEmbedding
python -m unittest testCIS

python -m unittest testgradients

python -m unittest testArgonRates_interface


python -m unittest testgradients_interface.water.test_water_HF_GTO
python -m unittest testgradients_interface.water.test_water_HF_GTO_FD
python -m unittest testgradients_interface.water.test_water_HF_GTO_Koopmann_FD
python -m unittest testgradients_interface.water.test_water_HF_GTO_Koopmann_hole_FD
python -m unittest testgradients_interface.water.test_water_HF_GTO_CIS
python -m unittest testgradients_interface.water.test_water_HF_GTO_Koopmann_hole_Efield




