#!/usr/bin/python

import unittest
import re
import sys
import os
import testOrbitalEnergies
import testOxygenRates
import testArgonRates
import testCH3IRates
import testIodineRates
#import testRateEquation
import testEmbedding
import testCIS
import testgradients
import testgradients_interface
import testMCSCF
import testArgonRates_interface
import test_interface_CIS
import test_interface_hole
import test_interface_part
import testgradients_periodic
import testUpdateNrbasis

suite=unittest.TestSuite()
loader = unittest.TestLoader()


suite.addTests(loader.loadTestsFromModule(testOrbitalEnergies))
suite.addTests(loader.loadTestsFromModule(testCH3IRates))
suite.addTests(loader.loadTestsFromModule(testOxygenRates))
suite.addTests(loader.loadTestsFromModule(testArgonRates))
suite.addTests(loader.loadTestsFromModule(testIodineRates))

suite.addTests(loader.loadTestsFromModule(testgradients))
suite.addTests(loader.loadTestsFromModule(testgradients_interface))

suite.addTests(loader.loadTestsFromModule(testCIS))
suite.addTests(loader.loadTestsFromModule(testMCSCF))
suite.addTests(loader.loadTestsFromModule(testEmbedding))
suite.addTests(loader.loadTestsFromModule(testArgonRates_interface))
suite.addTests(loader.loadTestsFromModule(test_interface_CIS))
suite.addTests(loader.loadTestsFromModule(test_interface_hole))
suite.addTests(loader.loadTestsFromModule(test_interface_part))
suite.addTests(loader.loadTestsFromModule(testgradients_periodic))
suite.addTests(loader.loadTestsFromModule(testUpdateNrbasis))
#suite.addTests(loader.loadTestsFromModule(testRateEquation))

runner = unittest.TextTestRunner(verbosity=3)
result = runner.run(suite)

if result.wasSuccessful():
    print("All test passed !")
    sys.exit(os.EX_OK)
else:
    print("Something went wrong:")
    print(result.errors)
    sys.exit(os.EX_SOFTWARE)



