#!/usr/bin/python


import os

import unittest
import re
from subprocess import PIPE,Popen,call



class testgradients(unittest.TestCase):

    xmol=""
    xatom=""

    def setUp(self):
        print(os.getcwd())
        dir=os.getcwd()
        self.xatom=os.getenv("XATOM_PATH")
        print("Using xatom=",self.xatom  )
        self.xmol=os.path.realpath(dir+"/../src/xmolecule")
        print("Using xmolecule=",self.xmol)



    @unittest.skip("takes a lot of time")
    def test_diamond(self):

        print('Testing gradient results for diamond HFS with nao basis ')
        #expectedgrad=[[0.0, 0.0, 0.0157959], [0.0, 0.02500334, -0.0087847], [0.0, -0.02500334, -0.0087847]]
        

        lmax=4
        # set up input file
        f = open('input.in', 'w')


        f.write('system=diamond\n')

        for dx in [0,0.5]:
            for dy in [0,0.5]:
                for dz in [0,0.5]:

                    f.write('C        %f %f %f \n' % (dx     , dy     , dz     ))
                    f.write('C        %f %f %f \n' % (dx+0.25, dy+0.25, dz     ))
                    f.write('C        %f %f %f \n' % (dx+0.25, dy     , dz+0.25))
                    f.write('C        %f %f %f \n' % (dx     , dy+0.25, dz+0.25))

                    ex=dx+0.125
                    ey=dy+0.125
                    ez=dz+0.125

                    f.write('C        %f %f %f \n' % (ex     , ey     , ez     ))
                    f.write('C        %f %f %f \n' % (ex+0.25, ey+0.25, ez     ))
                    f.write('C        %f %f %f \n' % (ex+0.25, ey     , ez+0.25))
                    f.write('C        %f %f %f \n' % (ex     , ey+0.25, ez+0.25))


                    f.write(' \n' )

        f.write('lmax_ang=%d\n' % lmax)
        f.write('periodic=yes\n'  )
        f.write('gradient=yes\n'  )
        f.write('EPS2=0\n'  )
        f.write('lattice_parameter=%f\n' % 13.480663733 )
        f.write('r_c = %d\n' % 8 )
        f.close()
        # calculate all process data put them into process.dat        
        cmd=self.xatom+' -s C -N 20 -silent -rmax 5 -rm 1e-6 -latter false  -nao -file_nao C.nao '
        os.system(cmd)

        cmd=self.xmol + ' input.in -gradient '
        p=Popen(cmd,stdout=PIPE, shell=True)
        out=p.communicate()[0].decode('UTF8')

        # parse for GRAD line and compare results
        m=re.findall(r'\|GRAD\| .*',out)
        grad=[]
        for mi in m:
            gradtxt=mi.split()[2:]
            grad.append([float(gradtxt[0]),float(gradtxt[1]),float(gradtxt[2])])

        for i in range(0,len(grad)):
            for j in range(0,len(grad[i])):
                self.assertAlmostEqual(grad[i][j], 0.,places=4)


if __name__ == "__main__": 
    unittest.main()


