---
project: xmolecule
summary: Molecular electronic structure calculations for x-ray physics: XMOLECULE is a tool for ab-initio molecular electronic structure calculation. It has the capabilities to describe molecular aspects of various x-ray related processes in an efficient way. Many aspects are strongly built upon atomic electronic structure calculations provided by XATOM.
project_gitlab: https://gitlab.desy.de/CDT/xraypac
project_website: http://www.desy.de/~xraypac/
author: Ludger Inhester and others
author_description: Center for Free-Electron Laser Science CFEL, Deutsches Elektronen-Synchrotron DESY
email: ludger.inhester@cfel.de
page_dir: ./doc/
src_dir: ./src/
license: <a rel="license" href="https://www.gnu.org/licenses/gpl-3.0.en.html">Gnu General Public License V3</a>
display: public
incl_src: false
graph: false
lower: true
max_frontpage_items: 4
extra_filetypes: py #
                 c //
                 h //
fpp_extensions: f90
preprocess: true
---

XMOLECULE is a tool for ab-initio molecular electronic structure calculation. It has the capabilities to describe molecular aspects of various x-ray related processes in an efficient way. Many aspects are strongly built upon atomic electronic structure calculations provided by XATOM.

XMOLECULE describes the electronic structure either based on numerical atomic orbitals (NAOs) or gaussian type orbitals (GTO).
NAOs are generated from XATOM, whereas GTO basis sets are provided through available basis set libraries. The employed electronic structure model is based on Hartree-Fock or Hartree-Fock-Slater.

Basic x-ray related transitions such as Auger-Meitner decay, photoabsorption, and x-ray fluorescence can be calculated. For a convenient incorporation of XMOLECULE into ab-initio molecular dynamics simulations, XMOLECULE provides a python interface that can easily be integrated into MD software. An example for such an intergration is provided through the chemical dynamics toolkit (CDTK) that is also shipped with XRAYPAC.

