(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     26468,        682]
NotebookOptionsPosition[     25503,        647]
NotebookOutlinePosition[     25841,        662]
CellTagsIndexPosition[     25798,        659]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"RealSphericalHarmonic", "[", 
     RowBox[{"l_", ",", "m_", ",", "\[Theta]_", ",", "\[Phi]_"}], "]"}], ":=", 
    RowBox[{"Which", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"m", ">", "0"}], ",", 
      RowBox[{
       RowBox[{"1", "/", 
        RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "^", "m"}], "*", 
          RowBox[{"SphericalHarmonicY", "[", 
           RowBox[{"l", ",", "m", ",", "\[Theta]", ",", "\[Phi]"}], "]"}]}], 
         "+", 
         RowBox[{"SphericalHarmonicY", "[", 
          RowBox[{"l", ",", 
           RowBox[{"-", "m"}], ",", "\[Theta]", ",", "\[Phi]"}], "]"}]}], 
        ")"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"m", "==", "0"}], ",", 
      RowBox[{"SphericalHarmonicY", "[", 
       RowBox[{"l", ",", "m", ",", "\[Theta]", ",", "\[Phi]"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"m", "<", "0"}], ",", 
      RowBox[{
       RowBox[{"I", "/", 
        RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"SphericalHarmonicY", "[", 
          RowBox[{"l", ",", "m", ",", "\[Theta]", ",", "\[Phi]"}], "]"}], "-", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "^", "m"}], "*", 
          RowBox[{"SphericalHarmonicY", "[", 
           RowBox[{"l", ",", 
            RowBox[{"-", "m"}], ",", "\[Theta]", ",", "\[Phi]"}], "]"}]}]}], 
        ")"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Gauntcoef", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"l1_", ",", "m1_"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"l2_", ",", "m2_"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"l3_", ",", "m3_"}], "}"}]}], "]"}], ":=", 
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"SphericalHarmonicY", "[", 
        RowBox[{"l1", ",", "m1", ",", "\[Theta]", ",", "\[Phi]"}], "]"}], "*", 
       RowBox[{"SphericalHarmonicY", "[", 
        RowBox[{"l2", ",", "m2", ",", "\[Theta]", ",", "\[Phi]"}], "]"}], "*", 
       RowBox[{"SphericalHarmonicY", "[", 
        RowBox[{"l3", ",", "m3", ",", "\[Theta]", ",", "\[Phi]"}], "]"}], 
       "\[IndentingNewLine]", "*", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Phi]", ",", "0", ",", 
        RowBox[{"2", "*", "\[Pi]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Theta]", ",", "0", ",", "\[Pi]"}], "}"}]}], 
     "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.621229041978574*^9, 3.621229167670273*^9}, 
   3.621229630583535*^9, 3.621229879844604*^9, {3.62373458993221*^9, 
   3.62373461561576*^9}, 3.623734663088431*^9, {3.6237433797123737`*^9, 
   3.623743382394775*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Gauntcoef2", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"l1_", ",", "m1_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l2_", ",", "m2_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l3_", ",", "m3_"}], "}"}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", "*", "l1"}], "+", "1"}], ")"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", "*", "l2"}], "+", "1"}], ")"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "*", "l3"}], "+", "1"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"4", "*", "Pi"}], ")"}]}]}], "]"}], "*", "\[IndentingNewLine]", 
   RowBox[{"ThreeJSymbol", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l2", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l3", ",", "0"}], "}"}]}], "]"}], "*", "\[IndentingNewLine]", 
   RowBox[{"ThreeJSymbol", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l1", ",", "m1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l2", ",", "m2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l3", ",", "m3"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6237380898410997`*^9, 3.6237382126310062`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Gauntcoef3", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"l1_", ",", "m1_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l2_", ",", "m2_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l3_", ",", "m3_"}], "}"}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", "*", "l2"}], "+", "1"}], ")"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "*", "l3"}], "+", "1"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "*", "l1"}], "+", "1"}], ")"}]}], "*", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"4", "*", "Pi"}], ")"}]}]}], "]"}], "*", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"-", "1"}], ")"}], "^", "m1"}], "*", "\[IndentingNewLine]", 
   RowBox[{"ClebschGordan", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l2", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l3", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l1", ",", "0"}], "}"}]}], "]"}], "*", "\[IndentingNewLine]", 
   RowBox[{"ClebschGordan", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l2", ",", "m2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l3", ",", "m3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l1", ",", 
       RowBox[{"-", "m1"}]}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.62373824747888*^9, 3.623738328800167*^9}, 
   3.623738856001226*^9}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"AngularIntegral", "[", 
    RowBox[{"l_", ",", 
     RowBox[{"{", 
      RowBox[{"l1_", ",", "m1_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l2_", ",", "m2_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l3_", ",", "m3_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l4_", ",", "m4_"}], "}"}]}], "]"}], ":=", 
   RowBox[{"4", "*", 
    RowBox[{"Pi", "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", "*", "l"}], "+", "1"}], ")"}]}], "*", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Gauntcoef", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"l", ",", 
           RowBox[{"-", "m"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l3", ",", "m3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l1", ",", "m1"}], "}"}]}], "]"}], "*", 
       RowBox[{"Gauntcoef", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"l", ",", 
           RowBox[{"-", "m"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l4", ",", "m4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l2", ",", "m2"}], "}"}]}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", 
        RowBox[{"-", "l"}], ",", "l"}], "}"}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.621229184979167*^9, 3.6212292919042807`*^9}, {
   3.621229324675651*^9, 3.6212293607143497`*^9}, {3.621229448019822*^9, 
   3.621229457090171*^9}, 3.621229635694367*^9, 3.621229883726799*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RealGauntcoef", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"l1_", ",", "m1_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l2_", ",", "m2_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l3_", ",", "m3_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"RealSphericalHarmonic", "[", 
      RowBox[{"l1", ",", "m1", ",", "\[Theta]", ",", "\[Phi]"}], "]"}], "*", 
     RowBox[{"RealSphericalHarmonic", "[", 
      RowBox[{"l2", ",", "m2", ",", "\[Theta]", ",", "\[Phi]"}], "]"}], "*", 
     RowBox[{"RealSphericalHarmonic", "[", 
      RowBox[{"l3", ",", "m3", ",", "\[Theta]", ",", "\[Phi]"}], "]"}], 
     "\[IndentingNewLine]", "*", 
     RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Phi]", ",", "0", ",", 
      RowBox[{"2", "*", "\[Pi]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", ",", "0", ",", "\[Pi]"}], "}"}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.621230268163886*^9, 3.62123026949925*^9}, {
  3.623734625574092*^9, 3.6237346740107403`*^9}, {3.624087455748241*^9, 
  3.624087463972163*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RealAngularIntegral", "[", 
   RowBox[{"l_", ",", 
    RowBox[{"{", 
     RowBox[{"l1_", ",", "m1_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l2_", ",", "m2_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l3_", ",", "m3_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l4_", ",", "m4_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"4", "*", 
   RowBox[{"Pi", "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "*", "l"}], "+", "1"}], ")"}]}], "*", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"RealGauntcoef", "[", 
       RowBox[{"l", ",", "m", ",", "l3", ",", "m3", ",", "l1", ",", "m1"}], 
       "]"}], "*", 
      RowBox[{"RealGauntcoef", "[", 
       RowBox[{"l", ",", "m", ",", "l4", ",", "m4", ",", "l2", ",", "m2"}], 
       "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", 
       RowBox[{"-", "l"}], ",", "l"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.621245102726808*^9, {3.623734691317133*^9, 3.623734702060383*^9}, {
   3.6240872540235567`*^9, 3.624087256305047*^9}, {3.624087441863186*^9, 
   3.6240874472301073`*^9}, {3.624087849358836*^9, 3.6240878854031267`*^9}, {
   3.6241664521826878`*^9, 3.6241664720926332`*^9}},
 CellID->1657983061],

Cell[CellGroupData[{

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.623739101509181*^9}],

Cell[BoxData[
 RowBox[{"OutputStream", "[", 
  RowBox[{"\<\"/tmp/m000002260581\"\>", ",", "171"}], "]"}]], "Output",
 CellChangeTimes->{3.623739079556851*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"str", "=", " ", 
  RowBox[{
  "OpenWrite", "[", "\"\<RealGauntCoef.tmp\>\"", 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lmax", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"l1", "=", "0"}], ",", 
   RowBox[{"l1", "<=", "lmax"}], ",", 
   RowBox[{"l1", "++"}], ",", "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"l2", "=", "0"}], ",", 
     RowBox[{"l2", "<=", "lmax"}], ",", 
     RowBox[{"l2", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"l3", "=", "0"}], ",", 
       RowBox[{"l3", "<=", "l1"}], ",", " ", 
       RowBox[{"l3", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"m1", "=", 
          RowBox[{"-", "l1"}]}], ",", 
         RowBox[{"m1", "<=", "l1"}], ",", 
         RowBox[{"m1", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"m2", "=", 
            RowBox[{"-", "l2"}]}], ",", 
           RowBox[{"m2", "<=", "l2"}], ",", 
           RowBox[{"m2", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"m3", "=", 
              RowBox[{"-", "m1"}]}], ",", 
             RowBox[{"m3", "\[LessEqual]", "m1"}], ",", 
             RowBox[{"m3", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"A", "=", 
               RowBox[{"1.0", "*", 
                RowBox[{"RealGauntcoef", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"l1", ",", "m1"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"l2", ",", "m2"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"l3", ",", "m3"}], "}"}]}], "]"}]}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Abs", "[", "A", "]"}], ">", "0.0001"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"WriteString", "[", 
                 RowBox[{
                 "str", ",", "\"\<rG\>\"", ",", "\"\<[\>\"", ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"NumberForm", "[", 
                   RowBox[{"l1", ",", "1", ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<\>\""}], "}"}]}]}], "]"}], 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{"NumberForm", "[", 
                   RowBox[{"m1", ",", "1", ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<\>\""}], "}"}]}]}], "]"}], 
                  ",", "\[IndentingNewLine]", "\"\<;\>\"", ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"NumberForm", "[", 
                   RowBox[{"l2", ",", "1", ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<\>\""}], "}"}]}]}], "]"}], 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{"NumberForm", "[", 
                   RowBox[{"m2", ",", "1", ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<\>\""}], "}"}]}]}], "]"}], 
                  ",", "\[IndentingNewLine]", "\"\<;\>\"", ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"NumberForm", "[", 
                   RowBox[{"l3", ",", "1", ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<\>\""}], "}"}]}]}], "]"}], 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{"NumberForm", "[", 
                   RowBox[{"m3", ",", "1", ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<\>\""}], "}"}]}]}], "]"}], 
                  ",", "\[IndentingNewLine]", "\"\<]=\>\"", ",", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"NumberForm", "[", 
                    RowBox[{"A", ",", 
                    RowBox[{"{", 
                    RowBox[{"5", ",", "4"}], "}"}], ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}],
                    "]"}], ",", "\"\<\\n\>\""}], "]"}]}], 
               "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
            "]"}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
        "]"}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
    "]"}]}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Close", "[", "str", "]"}]}], "Input",
 CellChangeTimes->{{3.621569968413437*^9, 3.621569968499969*^9}, {
   3.623737345817801*^9, 3.6237373852823753`*^9}, {3.623737505169318*^9, 
   3.623737505248177*^9}, 3.6237380164736834`*^9, {3.623738060704936*^9, 
   3.623738078113432*^9}, {3.623738860821677*^9, 3.623738866161277*^9}, {
   3.6237389123490868`*^9, 3.623739043368024*^9}, {3.6237390898820066`*^9, 
   3.623739114654747*^9}, 3.6237393188396397`*^9, {3.623739453553787*^9, 
   3.6237394540738697`*^9}, 3.62373954879011*^9, {3.624166646369857*^9, 
   3.6241666919524603`*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.623739110953813*^9}],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{
  3.623739074272974*^9, {3.623750872002379*^9, 3.623750887042486*^9}, {
   3.623750982584499*^9, 3.623751025168126*^9}, 3.624166411140164*^9}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.624166409375257*^9, 3.624166409556534*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"str", "=", " ", 
   RowBox[{"OpenWrite", "[", "\"\<RealAngularIntegral.tmp\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lmax", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"l1", "=", "0"}], ",", 
    RowBox[{"l1", "<=", "lmax"}], ",", 
    RowBox[{"l1", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"l2", "=", "0"}], ",", 
      RowBox[{"l2", "<=", "lmax"}], ",", 
      RowBox[{"l2", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"l3", "=", "0"}], ",", 
        RowBox[{"l3", "<=", "l1"}], ",", 
        RowBox[{"l3", "++"}], ",", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"l4", "=", "0"}], ",", 
          RowBox[{"l4", "<=", "l2"}], ",", 
          RowBox[{"l4", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"m1", "=", 
             RowBox[{"-", "l1"}]}], ",", 
            RowBox[{"m1", "<=", "l1"}], ",", 
            RowBox[{"m1", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m2", "=", 
               RowBox[{"-", "l2"}]}], ",", 
              RowBox[{"m2", "<=", "l2"}], ",", 
              RowBox[{"m2", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"m3", "=", 
                 RowBox[{"-", "m1"}]}], ",", 
                RowBox[{"m3", "\[LessEqual]", "m1"}], ",", 
                RowBox[{"m3", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"m4", "=", 
                   RowBox[{"-", "m2"}]}], ",", 
                  RowBox[{"m4", "\[LessEqual]", "m2"}], ",", 
                  RowBox[{"m4", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"m1", "+", "m3", "-", "m2", "-", "m4"}], 
                    "\[NotEqual]", "0"}], ",", "Continue"}], "]"}], 
                   "\[IndentingNewLine]", 
                   RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"l", "=", "0"}], ",", 
                    RowBox[{"l", "<=", "lmax"}], ",", 
                    RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"A", "=", 
                    RowBox[{"1.0", "*", 
                    RowBox[{"RealAngularIntegral", "[", 
                    RowBox[{"l", ",", 
                    RowBox[{"{", 
                    RowBox[{"l1", ",", "m1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"l2", ",", "m2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"l3", ",", "m3"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"l4", ",", "m4"}], "}"}]}], "]"}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Abs", "[", "A", "]"}], ">", "0.0001"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"WriteString", "[", 
                    RowBox[{
                    "str", ",", "\"\<A_\>\"", ",", "l", ",", "\"\<[\>\"", ",",
                     "\[IndentingNewLine]", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"l1", ",", "1", ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<\>\""}], "}"}]}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"m1", ",", "1", ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<\>\""}], "}"}]}]}], "]"}], 
                    ",", "\[IndentingNewLine]", "\"\<;\>\"", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"l2", ",", "1", ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<\>\""}], "}"}]}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"m2", ",", "1", ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<\>\""}], "}"}]}]}], "]"}], 
                    ",", "\[IndentingNewLine]", "\"\<;\>\"", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"l3", ",", "1", ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<\>\""}], "}"}]}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"m3", ",", "1", ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<\>\""}], "}"}]}]}], "]"}], 
                    ",", "\[IndentingNewLine]", "\"\<;\>\"", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"l4", ",", "1", ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<\>\""}], "}"}]}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"m4", ",", "1", ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<\>\""}], "}"}]}]}], "]"}], 
                    ",", "\[IndentingNewLine]", "\"\<;\>\"", ",", 
                    "\[IndentingNewLine]", "\"\<]=\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"A", ",", 
                    RowBox[{"{", 
                    RowBox[{"5", ",", "4"}], "}"}], ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}],
                     "]"}], ",", "\"\<\\n\>\""}], "]"}]}], 
                    "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
                    "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
               "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}],
            "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], 
       "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Close", "[", "str", "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdxUsow3EAB/C/CWstj9ocNimRSVhec8DynxyYhCOltpK5IGnEUshycLDR
EJLXmrQRmjy2lvLIAUWZSCMtbfLcyiv8vr/Dp0+Curm6nsMwTDyBG1Rpt29f
Pla/d3WHK6dryt7JOYmaDpzMDhnxU+CCblcWngXIA+m153hBGhsRJOeuT/Kx
p/0mC/eEL2bj+1SF6JM8Iiih95uykvC1REZ/npJKMafxgS4L6T3FNvHzJT46
6LrDMSl+uqJG7MNmd/wjfpM4+V/kam5mNP7ZlQmw2WPIwIWWYBHmtX7Q1XN5
Vd/kuJdhuvspXzn27WMNk3I6b3/Zib1ha3RdEu8Yz3gj6WruyisWLokCuEnP
/GK7kseMk/vnWyKw3sDlYo1rvgLXHS7S404ks1hlcdODodtW3NDtsGGTvNS+
+edjtcLyDdy8tSNxkQusLrp89NQwyPhZhaPPiK2r2gncVtxJ10Vdz2I1xzOH
/wFsDh5M
  "]],

Cell[BoxData["\<\"test.txt\"\>"], "Output",
 CellChangeTimes->{3.6215701193388844`*^9, 3.6215704614580097`*^9, 
  3.6215705261927223`*^9, 3.6215706068872347`*^9, 3.621570685370122*^9, 
  3.621571969492688*^9, 3.621606574385611*^9, 3.6237347653073874`*^9, 
  3.6237439404323893`*^9, 3.623750855323864*^9, 3.6240872847645493`*^9, 
  3.624087407545166*^9, 3.6240876033486433`*^9, 3.624163323489534*^9, 
  3.6241665979641867`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AngularIntegral", "[", 
  RowBox[{"0", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.621233592419446*^9, 3.621233615251421*^9}, 
   3.6212428738113937`*^9}],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.6212336157291517`*^9, 3.621242876724337*^9}]
}, Open  ]]
},
WindowSize->{1306, 867},
WindowMargins->{{Automatic, 260}, {61, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 3020, 75, 275, "Input"],
Cell[3580, 97, 1310, 41, 77, "Input"],
Cell[4893, 140, 1466, 47, 77, "Input"],
Cell[6362, 189, 1530, 44, 77, "Input"],
Cell[7895, 235, 1145, 29, 77, "Input"],
Cell[9043, 266, 1241, 34, 55, "Input",
 CellID->1657983061],
Cell[CellGroupData[{
Cell[10309, 304, 68, 1, 32, "Input"],
Cell[10380, 307, 158, 3, 32, "Output"]
}, Open  ]],
Cell[10553, 313, 5623, 120, 627, "Input"],
Cell[16179, 435, 68, 1, 32, "Input"],
Cell[16250, 438, 208, 3, 55, "Input"],
Cell[16461, 443, 92, 1, 32, InheritFromParent],
Cell[CellGroupData[{
Cell[16578, 448, 7897, 166, 891, "Input"],
Cell[24478, 616, 426, 6, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24941, 627, 432, 13, 32, "Input"],
Cell[25376, 642, 111, 2, 32, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
